Bug 1733369 - Updating to iwl7260-firmware-25.30.13.0-99.fc30.noarch breaks intel wifi
Summary: Updating to iwl7260-firmware-25.30.13.0-99.fc30.noarch breaks intel wifi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1737196 1740380 1742901 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 20:15 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-03-26 08:59 UTC (History)
37 users (show)

Fixed In Version: linux-firmware-20190815-101.fc30 linux-firmware-20190815-101.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 01:04:31 UTC
Type: Bug


Attachments (Terms of Use)
dmesg for build iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm (58.87 KB, text/plain)
2019-07-30 21:59 UTC, SP
no flags Details

Description Ankur Sinha (FranciscoD) 2019-07-25 20:15:43 UTC
Description of problem:
Breaks wifi:

05:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)
        Subsystem: Intel Corporation Device 0014
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at a1200000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi


Version-Release number of selected component (if applicable):
$ rpm -q iwl7260-firmware
iwl7260-firmware-25.30.13.0-99.fc30.noarch


How reproducible:
Always

Steps to Reproduce:
1. sudo dnf update -y iwl7260-firmware
2. sudo rmmod iwlmvm iwlwifi
3. sudo modprobe iwlwifi

Actual results:
Wifi does not work. Dmesg output below.

Expected results:
Wifi should work

Additional info:
Downgrading to this version fixes it:

iwl7260-firmware-1:25.30.13.0-94.fc30.noarch  


Dmesg says:
[  400.203582] Intel(R) Wireless WiFi driver for Linux
[  400.203583] Copyright(c) 2003- 2015 Intel Corporation
[  400.208177] iwlwifi 0000:05:00.0: Found debug destination: EXTERNAL_DRAM
[  400.208178] iwlwifi 0000:05:00.0: Found debug configuration: 0
[  400.208423] iwlwifi 0000:05:00.0: loaded firmware version 46.a41adfe7.0 op_mode iwlmvm
[  400.230716] iwlwifi 0000:05:00.0: Detected Intel(R) Wireless-AC 9260 160MHz, REV=0x324
[  400.239308] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  400.239423] iwlwifi 0000:05:00.0: Allocated 0x00400000 bytes for firmware monitor.
[  400.287681] iwlwifi 0000:05:00.0: base HW address: a4:c3:f0:82:e4:de
[  400.355630] ieee80211 phy3: Selected rate control algorithm 'iwl-mvm-rs'
[  400.357536] thermal thermal_zone8: failed to read out thermal zone (-61)
[  400.376930] iwlwifi 0000:05:00.0 wlp5s0: renamed from wlan0
[  400.407338] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  400.521249] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  400.594207] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[  400.809232] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[  400.809363] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  400.809364] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 6
[  400.809365] iwlwifi 0000:05:00.0: Loaded firmware version: 46.a41adfe7.0
[  400.809366] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
[  400.809366] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[  400.809367] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[  400.809367] iwlwifi 0000:05:00.0: 0x004882F2 | branchlink2
[  400.809367] iwlwifi 0000:05:00.0: 0x004793A2 | interruptlink1
[  400.809368] iwlwifi 0000:05:00.0: 0x000153E4 | interruptlink2
[  400.809368] iwlwifi 0000:05:00.0: 0x0001A7D2 | data1
[  400.809369] iwlwifi 0000:05:00.0: 0x00001000 | data2
[  400.809369] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[  400.809370] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[  400.809370] iwlwifi 0000:05:00.0: 0x0003C941 | tsf low
[  400.809371] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[  400.809371] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[  400.809372] iwlwifi 0000:05:00.0: 0x0003C941 | time gp2
[  400.809372] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[  400.809373] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[  400.809373] iwlwifi 0000:05:00.0: 0xA41ADFE7 | uCode version minor
[  400.809374] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[  400.809374] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[  400.809375] iwlwifi 0000:05:00.0: 0x00240405 | hcmd
[  400.809375] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[  400.809376] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[  400.809376] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[  400.809376] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[  400.809377] iwlwifi 0000:05:00.0: 0x00000000 | isr4
[  400.809377] iwlwifi 0000:05:00.0: 0x00240405 | last cmd Id
[  400.809378] iwlwifi 0000:05:00.0: 0x0001A7D2 | wait_event
[  400.809378] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[  400.809379] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[  400.809379] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[  400.809380] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[  400.809380] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[  400.809381] iwlwifi 0000:05:00.0: 0x19062027 | timestamp
[  400.809381] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[  400.809529] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  400.809530] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 7
[  400.809531] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[  400.809531] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[  400.809532] iwlwifi 0000:05:00.0: 0xC008887A | umac branchlink2
[  400.809532] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[  400.809532] iwlwifi 0000:05:00.0: 0xC0080708 | umac interruptlink2
[  400.809533] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[  400.809533] iwlwifi 0000:05:00.0: 0xC0080708 | umac data2
[  400.809534] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[  400.809534] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[  400.809535] iwlwifi 0000:05:00.0: 0xA41ADFE7 | umac minor
[  400.809535] iwlwifi 0000:05:00.0: 0x0003C928 | frame pointer
[  400.809536] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[  400.809536] iwlwifi 0000:05:00.0: 0x00240405 | last host cmd
[  400.809537] iwlwifi 0000:05:00.0: 0x00004008 | isr status reg
[  400.809539] ieee80211 phy3: Hardware restart was requested
[  400.809549] iwlwifi 0000:05:00.0: iwlwifi transaction failed, dumping registers
[  400.809550] iwlwifi 0000:05:00.0: iwlwifi device config registers:
[  400.809685] iwlwifi 0000:05:00.0: 00000000: 25268086 00100406 02800029 00000000 a1200004 00000000 00000000 00000000
[  400.809686] iwlwifi 0000:05:00.0: 00000020: 00000000 00000000 00000000 00148086 00000000 000000c8 00000000 000001ff
[  400.809687] iwlwifi 0000:05:00.0: iwlwifi device memory mapped registers:
[  400.809759] iwlwifi 0000:05:00.0: 00000000: 18c89004 00000040 00000000 00000000 00000000 00000000 00027e1f 00000000
[  400.809760] iwlwifi 0000:05:00.0: 00000020: 00000000 0c040005 00000321 d55555d5 d55555d5 d55555d5 80008040 041f0042
[  400.809816] iwlwifi 0000:05:00.0: iwlwifi device AER capability structure:
[  400.809947] iwlwifi 0000:05:00.0: 00000000: 14c10001 00000000 00000000 00462031 00000000 00000000 00000000 00000000
[  400.809948] iwlwifi 0000:05:00.0: 00000020: 00000000 00000000 00000000
[  400.809949] iwlwifi 0000:05:00.0: iwlwifi parent port (0000:00:1d.2) config registers:
[  400.809961] iwlwifi 0000:00:1d.2: 00000000: 9db28086 00100407 060400f0 00810000 00000000 00000000 00050500 200000f0
[  400.809962] iwlwifi 0000:00:1d.2: 00000020: a120a120 0001fff1 00000000 00000000 00000000 00000040 00000000 000203ff
[  400.809963] iwlwifi 0000:05:00.0: iwlwifi root port (0000:00:1d.2) AER cap structure:
[  400.809972] iwlwifi 0000:00:1d.2: 00000000: 14010001 00000000 00010000 00060011 00000000 00000000 00000000 00000000
[  400.809973] iwlwifi 0000:00:1d.2: 00000020: 00000000 00000000 00000000 00000007 00000000 00000000
[  400.809974] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[  400.809976] CPU: 1 PID: 1029 Comm: NetworkManager Not tainted 5.1.19-300.fc30.x86_64 #1
[  400.809976] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[  400.809977] Call Trace:
[  400.809982]  dump_stack+0x5c/0x80
[  400.809989]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[  400.809992]  ? finish_wait+0x80/0x80
[  400.809996]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[  400.810004]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[  400.810009]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[  400.810013]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[  400.810017]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[  400.810021]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[  400.810035]  drv_start+0x43/0xf0 [mac80211]
[  400.810045]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[  400.810054]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[  400.810055]  __dev_open+0xcf/0x160
[  400.810056]  __dev_change_flags+0x1a7/0x200
[  400.810057]  dev_change_flags+0x21/0x60
[  400.810059]  do_setlink+0x68b/0xdd0
[  400.810061]  ? __nla_parse+0xf6/0x120
[  400.810062]  ? cpumask_next+0x17/0x20
[  400.810063]  ? __snmp6_fill_stats64.isra.0+0x66/0x110
[  400.810065]  ? __nla_parse+0x33/0x120
[  400.810066]  __rtnl_newlink+0x545/0x8b0
[  400.810068]  ? __nla_reserve+0x38/0x50
[  400.810070]  ? security_sock_rcv_skb+0x34/0x50
[  400.810071]  ? sk_filter_trim_cap+0x46/0x200
[  400.810072]  ? netlink_attachskb+0x1b8/0x1d0
[  400.810074]  ? skb_queue_tail+0x1b/0x50
[  400.810075]  ? __netlink_sendskb+0x3b/0x50
[  400.810078]  ? sk_filter_trim_cap+0x46/0x200
[  400.810079]  ? _cond_resched+0x15/0x30
[  400.810081]  ? kmem_cache_alloc_trace+0x154/0x1c0
[  400.810082]  rtnl_newlink+0x44/0x70
[  400.810083]  rtnetlink_rcv_msg+0x2b0/0x360
[  400.810084]  ? rtnl_calcit.isra.0+0x100/0x100
[  400.810085]  netlink_rcv_skb+0x49/0x110
[  400.810086]  netlink_unicast+0x171/0x200
[  400.810088]  netlink_sendmsg+0x202/0x3d0
[  400.810089]  sock_sendmsg+0x39/0x50
[  400.810090]  ___sys_sendmsg+0x2a4/0x300
[  400.810092]  ? __do_proc_dointvec+0x20c/0x400
[  400.810093]  ? __rtnl_unlock+0x24/0x40
[  400.810094]  ? netdev_run_todo+0x5f/0x2a0
[  400.810095]  ? addrconf_sysctl_forward+0x110/0x250
[  400.810097]  ? lockref_put_or_lock+0x45/0x70
[  400.810098]  ? proc_sys_revalidate+0x30/0x30
[  400.810100]  __sys_sendmsg+0x59/0xa0
[  400.810102]  do_syscall_64+0x5b/0x170
[  400.810104]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  400.810106] RIP: 0033:0x7f188149db7d
[  400.810107] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[  400.810108] RSP: 002b:00007ffe2df15d30 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[  400.810109] RAX: ffffffffffffffda RBX: 0000557deb5dab80 RCX: 00007f188149db7d
[  400.810109] RDX: 0000000000000000 RSI: 00007ffe2df15d80 RDI: 000000000000000c
[  400.810110] RBP: 00007ffe2df15d80 R08: 0000000000000000 R09: 0000000000000000
[  400.810110] R10: 0000000000000000 R11: 0000000000000293 R12: 0000557deb5dab80
[  400.810110] R13: 00007ffe2df15f38 R14: 00007ffe2df15f2c R15: 0000000000000000
[  400.810113] iwlwifi 0000:05:00.0: Collecting data: trigger 2 fired.
[  400.810118] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error
[  400.830291] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  400.946293] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  401.025640] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[  401.248704] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[  401.249105] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  401.249110] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 6
[  401.249112] iwlwifi 0000:05:00.0: Loaded firmware version: 46.a41adfe7.0
[  401.249116] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
[  401.249119] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[  401.249121] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[  401.249123] iwlwifi 0000:05:00.0: 0x004882F2 | branchlink2
[  401.249126] iwlwifi 0000:05:00.0: 0x004793A2 | interruptlink1
[  401.249128] iwlwifi 0000:05:00.0: 0x00480E9C | interruptlink2
[  401.249130] iwlwifi 0000:05:00.0: 0x0001A7D2 | data1
[  401.249132] iwlwifi 0000:05:00.0: 0x00001000 | data2
[  401.249135] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[  401.249137] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[  401.249139] iwlwifi 0000:05:00.0: 0x0003FE46 | tsf low
[  401.249142] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[  401.249144] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[  401.249146] iwlwifi 0000:05:00.0: 0x0003FE47 | time gp2
[  401.249148] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[  401.249150] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[  401.249153] iwlwifi 0000:05:00.0: 0xA41ADFE7 | uCode version minor
[  401.249155] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[  401.249157] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[  401.249160] iwlwifi 0000:05:00.0: 0x00230405 | hcmd
[  401.249162] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[  401.249164] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[  401.249166] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[  401.249168] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[  401.249170] iwlwifi 0000:05:00.0: 0x00000000 | isr4
[  401.249172] iwlwifi 0000:05:00.0: 0x00230405 | last cmd Id
[  401.249175] iwlwifi 0000:05:00.0: 0x0001A7D2 | wait_event
[  401.249177] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[  401.249179] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[  401.249181] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[  401.249183] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[  401.249185] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[  401.249188] iwlwifi 0000:05:00.0: 0x19062027 | timestamp
[  401.249190] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[  401.249389] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  401.249392] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 7
[  401.249394] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[  401.249397] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[  401.249399] iwlwifi 0000:05:00.0: 0xC008887A | umac branchlink2
[  401.249401] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[  401.249403] iwlwifi 0000:05:00.0: 0xC0080708 | umac interruptlink2
[  401.249405] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[  401.249407] iwlwifi 0000:05:00.0: 0xC0080708 | umac data2
[  401.249410] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[  401.249412] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[  401.249414] iwlwifi 0000:05:00.0: 0xA41ADFE7 | umac minor
[  401.249416] iwlwifi 0000:05:00.0: 0x0003FE2F | frame pointer
[  401.249418] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[  401.249420] iwlwifi 0000:05:00.0: 0x00230405 | last host cmd
[  401.249422] iwlwifi 0000:05:00.0: 0x00004008 | isr status reg
[  401.249430] ieee80211 phy3: Hardware restart was requested
[  401.249509] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[  401.249517] CPU: 3 PID: 1029 Comm: NetworkManager Not tainted 5.1.19-300.fc30.x86_64 #1
[  401.249519] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[  401.249520] Call Trace:
[  401.249536]  dump_stack+0x5c/0x80
[  401.249562]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[  401.249572]  ? finish_wait+0x80/0x80
[  401.249593]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[  401.249622]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[  401.249644]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[  401.249659]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[  401.249677]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[  401.249694]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[  401.249702]  ? fib6_del+0x290/0x290
[  401.249750]  drv_start+0x43/0xf0 [mac80211]
[  401.249795]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[  401.249834]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[  401.249839]  __dev_open+0xcf/0x160
[  401.249844]  __dev_change_flags+0x1a7/0x200
[  401.249849]  dev_change_flags+0x21/0x60
[  401.249854]  do_setlink+0x68b/0xdd0
[  401.249863]  ? __nla_parse+0xf6/0x120
[  401.249867]  ? cpumask_next+0x17/0x20
[  401.249872]  ? __snmp6_fill_stats64.isra.0+0x66/0x110
[  401.249877]  ? __nla_parse+0x33/0x120
[  401.249882]  __rtnl_newlink+0x545/0x8b0
[  401.249889]  ? __nla_reserve+0x38/0x50
[  401.249896]  ? security_sock_rcv_skb+0x34/0x50
[  401.249900]  ? cpumask_next_wrap+0x25/0x70
[  401.249906]  ? sched_clock+0x5/0x10
[  401.249911]  ? sched_clock_cpu+0xc/0xa0
[  401.249917]  ? __update_load_avg_se+0x217/0x2c0
[  401.249928]  ? _cond_resched+0x15/0x30
[  401.249933]  ? kmem_cache_alloc_trace+0x154/0x1c0
[  401.249937]  rtnl_newlink+0x44/0x70
[  401.249942]  rtnetlink_rcv_msg+0x2b0/0x360
[  401.249947]  ? rtnl_calcit.isra.0+0x100/0x100
[  401.249953]  netlink_rcv_skb+0x49/0x110
[  401.249959]  netlink_unicast+0x171/0x200
[  401.249965]  netlink_sendmsg+0x202/0x3d0
[  401.249971]  sock_sendmsg+0x39/0x50
[  401.249977]  ___sys_sendmsg+0x2a4/0x300
[  401.249984]  ? wake_up_q+0x3b/0x60
[  401.249995]  ? do_futex+0x86b/0xca0
[  401.249999]  ? __wake_up_common+0x80/0x190
[  401.250006]  __sys_sendmsg+0x59/0xa0
[  401.250014]  do_syscall_64+0x5b/0x170
[  401.250021]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  401.250026] RIP: 0033:0x7f188149db7d
[  401.250031] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[  401.250034] RSP: 002b:00007ffe2df15af0 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[  401.250038] RAX: ffffffffffffffda RBX: 0000557deb5dab80 RCX: 00007f188149db7d
[  401.250040] RDX: 0000000000000000 RSI: 00007ffe2df15b40 RDI: 000000000000000c
[  401.250042] RBP: 00007ffe2df15b40 R08: 0000000000000000 R09: 0000000000000000
[  401.250044] R10: 0000000000000000 R11: 0000000000000293 R12: 0000557deb5dab80
[  401.250046] R13: 00007ffe2df15cf8 R14: 00007ffe2df15cec R15: 0000000000000000
[  401.250098] iwlwifi 0000:05:00.0: Collecting data: trigger 2 fired.
[  401.250108] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error
[  401.281108] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  401.399244] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  401.473846] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[  401.693631] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[  401.694106] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  401.694113] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 6
[  401.694117] iwlwifi 0000:05:00.0: Loaded firmware version: 46.a41adfe7.0
[  401.694122] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
[  401.694126] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[  401.694130] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[  401.694134] iwlwifi 0000:05:00.0: 0x004882F2 | branchlink2
[  401.694138] iwlwifi 0000:05:00.0: 0x004793A2 | interruptlink1
[  401.694142] iwlwifi 0000:05:00.0: 0x00480E9C | interruptlink2
[  401.694145] iwlwifi 0000:05:00.0: 0x0001A7D2 | data1
[  401.694149] iwlwifi 0000:05:00.0: 0x00001000 | data2
[  401.694153] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[  401.694156] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[  401.694161] iwlwifi 0000:05:00.0: 0x0003DD42 | tsf low
[  401.694165] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[  401.694169] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[  401.694174] iwlwifi 0000:05:00.0: 0x0003DD43 | time gp2
[  401.694178] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[  401.694181] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[  401.694185] iwlwifi 0000:05:00.0: 0xA41ADFE7 | uCode version minor
[  401.694189] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[  401.694192] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[  401.694196] iwlwifi 0000:05:00.0: 0x00230405 | hcmd
[  401.694201] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[  401.694205] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[  401.694210] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[  401.694214] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[  401.694218] iwlwifi 0000:05:00.0: 0x00000000 | isr4
[  401.694221] iwlwifi 0000:05:00.0: 0x00230405 | last cmd Id
[  401.694225] iwlwifi 0000:05:00.0: 0x0001A7D2 | wait_event
[  401.694229] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[  401.694232] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[  401.694236] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[  401.694239] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[  401.694243] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[  401.694247] iwlwifi 0000:05:00.0: 0x19062027 | timestamp
[  401.694250] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[  401.694459] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  401.694465] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 7
[  401.694469] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[  401.694473] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[  401.694477] iwlwifi 0000:05:00.0: 0xC008887A | umac branchlink2
[  401.694481] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[  401.694485] iwlwifi 0000:05:00.0: 0xC0080708 | umac interruptlink2
[  401.694489] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[  401.694493] iwlwifi 0000:05:00.0: 0xC0080708 | umac data2
[  401.694497] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[  401.694501] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[  401.694505] iwlwifi 0000:05:00.0: 0xA41ADFE7 | umac minor
[  401.694509] iwlwifi 0000:05:00.0: 0x0003DD2B | frame pointer
[  401.694514] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[  401.694518] iwlwifi 0000:05:00.0: 0x00230405 | last host cmd
[  401.694522] iwlwifi 0000:05:00.0: 0x00004008 | isr status reg
[  401.694532] ieee80211 phy3: Hardware restart was requested
[  401.694625] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[  401.694633] CPU: 0 PID: 1208 Comm: wpa_supplicant Not tainted 5.1.19-300.fc30.x86_64 #1
[  401.694634] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[  401.694636] Call Trace:
[  401.694652]  dump_stack+0x5c/0x80
[  401.694677]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[  401.694686]  ? finish_wait+0x80/0x80
[  401.694707]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[  401.694735]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[  401.694755]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[  401.694770]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[  401.694787]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[  401.694804]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[  401.694812]  ? sk_filter_trim_cap+0x46/0x200
[  401.694862]  drv_start+0x43/0xf0 [mac80211]
[  401.694902]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[  401.694941]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[  401.694946]  __dev_open+0xcf/0x160
[  401.694951]  __dev_change_flags+0x1a7/0x200
[  401.694955]  dev_change_flags+0x21/0x60
[  401.694961]  devinet_ioctl+0x5e0/0x720
[  401.694967]  inet_ioctl+0x15a/0x220
[  401.694974]  sock_do_ioctl+0x47/0x140
[  401.694979]  sock_ioctl+0x1b4/0x340
[  401.694988]  do_vfs_ioctl+0x405/0x660
[  401.694995]  ksys_ioctl+0x5e/0x90
[  401.695001]  __x64_sys_ioctl+0x16/0x20
[  401.695007]  do_syscall_64+0x5b/0x170
[  401.695015]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  401.695020] RIP: 0033:0x7f08a011d1fb
[  401.695025] Code: 0f 1e fa 48 8b 05 8d dc 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d dc 0c 00 f7 d8 64 89 01 48
[  401.695027] RSP: 002b:00007ffee98178d8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[  401.695032] RAX: ffffffffffffffda RBX: 0000000000000001 RCX: 00007f08a011d1fb
[  401.695034] RDX: 00007ffee98178e0 RSI: 0000000000008914 RDI: 0000000000000008
[  401.695035] RBP: 0000000000000008 R08: 000055c955a6b6d0 R09: 0000000000000007
[  401.695037] R10: 000055c955a1a010 R11: 0000000000000246 R12: 0000000000000000
[  401.695039] R13: 000055c955a5c520 R14: 00007ffee98178e0 R15: 0000000000000000
[  401.695082] iwlwifi 0000:05:00.0: Collecting data: trigger 2 fired.
[  401.695108] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error
[  401.716826] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  401.834191] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[  401.913844] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[  402.137002] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[  402.137136] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  402.137137] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 6
[  402.137138] iwlwifi 0000:05:00.0: Loaded firmware version: 46.a41adfe7.0
[  402.137139] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
[  402.137140] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[  402.137141] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[  402.137141] iwlwifi 0000:05:00.0: 0x004882F2 | branchlink2
[  402.137142] iwlwifi 0000:05:00.0: 0x004793A2 | interruptlink1
[  402.137143] iwlwifi 0000:05:00.0: 0x00480E9C | interruptlink2
[  402.137144] iwlwifi 0000:05:00.0: 0x0001A7D2 | data1
[  402.137144] iwlwifi 0000:05:00.0: 0x00001000 | data2
[  402.137145] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[  402.137146] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[  402.137146] iwlwifi 0000:05:00.0: 0x0003FF5F | tsf low
[  402.137147] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[  402.137148] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[  402.137148] iwlwifi 0000:05:00.0: 0x0003FF60 | time gp2
[  402.137149] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[  402.137150] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[  402.137151] iwlwifi 0000:05:00.0: 0xA41ADFE7 | uCode version minor
[  402.137151] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[  402.137152] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[  402.137153] iwlwifi 0000:05:00.0: 0x00230405 | hcmd
[  402.137153] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[  402.137154] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[  402.137155] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[  402.137156] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[  402.137156] iwlwifi 0000:05:00.0: 0x00000000 | isr4
[  402.137157] iwlwifi 0000:05:00.0: 0x00230405 | last cmd Id
[  402.137158] iwlwifi 0000:05:00.0: 0x0001A7D2 | wait_event
[  402.137158] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[  402.137159] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[  402.137160] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[  402.137160] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[  402.137161] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[  402.137162] iwlwifi 0000:05:00.0: 0x19062027 | timestamp
[  402.137163] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[  402.137312] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[  402.137313] iwlwifi 0000:05:00.0: Status: 0x00000100, count: 7
[  402.137314] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[  402.137314] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[  402.137315] iwlwifi 0000:05:00.0: 0xC008887A | umac branchlink2
[  402.137316] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[  402.137316] iwlwifi 0000:05:00.0: 0xC0080708 | umac interruptlink2
[  402.137317] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[  402.137318] iwlwifi 0000:05:00.0: 0xC0080708 | umac data2
[  402.137318] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[  402.137319] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[  402.137320] iwlwifi 0000:05:00.0: 0xA41ADFE7 | umac minor
[  402.137320] iwlwifi 0000:05:00.0: 0x0003FF48 | frame pointer
[  402.137321] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[  402.137322] iwlwifi 0000:05:00.0: 0x00230405 | last host cmd
[  402.137323] iwlwifi 0000:05:00.0: 0x00004008 | isr status reg
[  402.137325] ieee80211 phy3: Hardware restart was requested
[  402.137375] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[  402.137378] CPU: 3 PID: 1208 Comm: wpa_supplicant Not tainted 5.1.19-300.fc30.x86_64 #1
[  402.137378] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[  402.137379] Call Trace:
[  402.137385]  dump_stack+0x5c/0x80
[  402.137395]  iwl_trans_pcie_send_hcmd+0x513/0x530 [iwlwifi]
[  402.137398]  ? finish_wait+0x80/0x80
[  402.137405]  iwl_trans_send_cmd+0x55/0xc0 [iwlwifi]
[  402.137415]  iwl_mvm_send_cmd+0x2a/0x90 [iwlmvm]
[  402.137422]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[  402.137426]  iwl_mvm_up+0x9c9/0xa60 [iwlmvm]
[  402.137432]  __iwl_mvm_mac_start+0x247/0x2e0 [iwlmvm]
[  402.137437]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[  402.137456]  drv_start+0x43/0xf0 [mac80211]
[  402.137469]  ieee80211_do_open+0x219/0x8d0 [mac80211]
[  402.137482]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[  402.137484]  __dev_open+0xcf/0x160
[  402.137486]  __dev_change_flags+0x1a7/0x200
[  402.137487]  dev_change_flags+0x21/0x60
[  402.137489]  devinet_ioctl+0x5e0/0x720
[  402.137491]  inet_ioctl+0x15a/0x220
[  402.137494]  sock_do_ioctl+0x47/0x140
[  402.137496]  sock_ioctl+0x1b4/0x340
[  402.137499]  do_vfs_ioctl+0x405/0x660
[  402.137501]  ksys_ioctl+0x5e/0x90
[  402.137503]  __x64_sys_ioctl+0x16/0x20
[  402.137506]  do_syscall_64+0x5b/0x170
[  402.137508]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  402.137510] RIP: 0033:0x7f08a011d1fb
[  402.137511] Code: 0f 1e fa 48 8b 05 8d dc 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d dc 0c 00 f7 d8 64 89 01 48
[  402.137512] RSP: 002b:00007ffee9817778 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[  402.137514] RAX: ffffffffffffffda RBX: 0000000000000001 RCX: 00007f08a011d1fb
[  402.137514] RDX: 00007ffee9817780 RSI: 0000000000008914 RDI: 0000000000000009
[  402.137515] RBP: 0000000000000009 R08: 00007f08a01ebc60 R09: 0000000000000007
[  402.137515] R10: 000055c955a1a010 R11: 0000000000000246 R12: 0000000000000000
[  402.137516] R13: 000055c955a5d1b8 R14: 00007ffee9817780 R15: 00007ffee98178e0
[  402.137519] iwlwifi 0000:05:00.0: Collecting data: trigger 2 fired.
[  402.137529] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error




Workaround:

sudo dnf downgrade -y iwl7260-firmware
sudo rmmod iwlmvm iwlwifi
sudo modprobe iwlwifi

Comment 1 Ankur Sinha (FranciscoD) 2019-07-25 20:22:13 UTC
lspci with -v and sudo:

05:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)
        Subsystem: Intel Corporation Device 0014
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at a1200000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [80] MSI-X: Enable+ Count=16 Masked-
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] L1 PM Substates
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi


Happy to report it upstream if someone can tell me what info to provide and how to collect it.

Comment 2 Peter Robinson 2019-07-26 07:28:16 UTC
There's a new firmware upstream, once it gets merged I can do a scratch to see if it helps. https://www.spinics.net/lists/linux-wireless/msg188204.html

Comment 3 Ankur Sinha (FranciscoD) 2019-07-26 08:18:54 UTC
Thanks very much, Peter. I'll be happy to test it out. 

It seems others are experiencing the issue too:
https://ask.fedoraproject.org/t/lost-wifi-after-recent-update-intel-9560ngw/2639/4

Comment 4 Peter Robinson 2019-07-26 12:33:12 UTC
Can you test this scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36561957

Comment 5 Ankur Sinha (FranciscoD) 2019-07-26 13:19:43 UTC
No luck unfortunately. Still the same issue with iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm

Comment 6 SP 2019-07-27 17:20:35 UTC
Same problem on our wireless only (no ethernet) Dell notebook.  Card is intel cannon point -lp cnvi [wireless a-c]

Comment 7 Peter Robinson 2019-07-27 17:58:32 UTC
(In reply to SP from comment #6)
> Same problem on our wireless only (no ethernet) Dell notebook.  Card is
> intel cannon point -lp cnvi [wireless a-c]

Can you provide the actual wifi module model number from "lspci | grep Wireless"

Comment 8 Peter Robinson 2019-07-27 18:06:16 UTC
(In reply to Peter Robinson from comment #7)
> (In reply to SP from comment #6)
> > Same problem on our wireless only (no ethernet) Dell notebook.  Card is
> > intel cannon point -lp cnvi [wireless a-c]
> 
> Can you provide the actual wifi module model number from "lspci | grep
> Wireless"

And kernel and version of the firmware package

Comment 9 SP 2019-07-27 18:16:55 UTC
Downgrading to iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm served as a temporary fix
The output from lspci is Intel Corporation Cannon Point-LP CNVi [Wireless-AC] (rev 30)

Comment 10 SP 2019-07-27 18:22:47 UTC
linux-firmware-20190717-99.fc30  linux-firmware-whence-20190717-99.fc30
kernel 5.1.19-300.fc30.x86_64

Comment 11 Peter Robinson 2019-07-27 18:34:07 UTC
(In reply to SP from comment #9)
> Downgrading to iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm served as a
> temporary fix
> The output from lspci is Intel Corporation Cannon Point-LP CNVi
> [Wireless-AC] (rev 30)

Can you confirm it's also broken with the scratch build referenced in comment 4

Comment 12 SP 2019-07-27 18:42:30 UTC
The laptop is now out the door - so I will try that later and let you know - thanks Peter.

Comment 13 Ankit Sadana 2019-07-28 23:27:47 UTC
I can confirm that downgrading iwl7260-firmware is acting as a temporary fix.

(In reply to Peter Robinson from comment #4)
> Can you test this scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=36561957

I pulled down the rpm for iwl7260-firmware from the scratch build, unfortunately the problem still exists with the new firmware, I can provide the dmesg if needed.

My laptop's hardware information

3a:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)
	Subsystem: Intel Corporation Device 4010
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at cc300000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [40] Express Endpoint, MSI 00
	Capabilities: [80] MSI-X: Enable+ Count=16 Masked-
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [14c] Latency Tolerance Reporting
	Capabilities: [154] L1 PM Substates
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi

Comment 14 Peter Robinson 2019-07-29 06:32:40 UTC
(In reply to Ankit Sadana from comment #13)
> I can confirm that downgrading iwl7260-firmware is acting as a temporary fix.

Can you confirm the version which you downgraded to?

Comment 15 Max 2019-07-29 10:11:56 UTC
Hi, I am having the same issue. From my research this appears to be related to MTU packet size.

Here's my post on ask.fedoraproject.org: https://ask.fedoraproject.org/t/new-fedora-workstation-installation-breaking-wifi-router/2677

The reason I think it's related to MTU packet size is because it happens on both wifi and ethernet, the difference is when connecting directly to the router via ethernet cable it doesn't break as frequently and for a rather shorter time. This is because wireless MTU packet size (2132 bytes) is larger than ethernet (1500 bytes).

Comment 16 Ankur Sinha (FranciscoD) 2019-07-29 10:35:03 UTC
(In reply to Max from comment #15)
> Hi, I am having the same issue. From my research this appears to be related
> to MTU packet size.
> 

Not quite, Max. This issue is very specifically related to the wireless only and the hardware does not even come up---i.e., one cannot even connect to the router. Let's get some more information about your issue on the askfedora post and then we'll be able to better decide where the bug may be.

Comment 17 Max 2019-07-29 17:09:53 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #16)

Try this:

    sudo modprobe iwlwifi 11n_disable=1 power_save=0
    reboot

Comment 18 mr 2019-07-29 18:19:47 UTC
Hi, same issue for my laptop.

Wi-Fi works with version iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm;

Doesn't work with newer versions:
iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm
iwl7260-firmware-25.30.13.0-98.fc30.noarch.rpm
 
Following my configuration:

$ sudo lspci -v

00:14.3 Network controller: Intel Corporation Cannon Point-LP CNVi [Wireless-AC] (rev 30)
	DeviceName: WLAN
	Subsystem: Intel Corporation Device 0034
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at b431c000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [80] MSI-X: Enable+ Count=16 Masked-
	Capabilities: [100] Null
	Capabilities: [14c] Latency Tolerance Reporting
	Capabilities: [164] Vendor Specific Information: ID=0010 Rev=0 Len=014 <?>
	Kernel driver in use: iwlwifi
	Kernel modules: iwlwifi


$ rpm -q iwl7260-firmware
iwl7260-firmware-25.30.13.0-97.fc30.noarch

Comment 20 Ankit Sadana 2019-07-29 20:37:07 UTC
(In reply to Peter Robinson from comment #14)
> (In reply to Ankit Sadana from comment #13)
> > I can confirm that downgrading iwl7260-firmware is acting as a temporary fix.
> 
> Can you confirm the version which you downgraded to?

I apologize, I forgot to mention the versions are same as the OP.

--- WORKING VERSION ---
Name         : iwl7260-firmware
Epoch        : 1
Version      : 25.30.13.0
Release      : 94.fc30
Architecture : noarch
Size         : 76 M
Source       : linux-firmware-20190312-94.fc30.src.rpm
Repository   : @System
From repo    : fedora

--- NOT WORKING VERSION ---
Name         : iwl7260-firmware
Epoch        : 1
Version      : 25.30.13.0
Release      : 99.fc30
Architecture : noarch
Size         : 10 M
Source       : linux-firmware-20190717-99.fc30.src.rpm
Repository   : updates

(In reply to Peter Robinson from comment #19)
> Upstream discussion:
> https://www.spinics.net/lists/linux-wireless/msg188200.html
> 
> Suse report: https://bugzilla.opensuse.org/show_bug.cgi?id=1142128
> Ubuntu report:
> https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1836986
> 
> Also reported it upstream.

Thank you for reporting it!
I came across this earlier today, https://bugzilla.kernel.org/show_bug.cgi?id=202163

Comment 21 grey_wolf 2019-07-30 08:54:20 UTC
on my lenovo laptop 
> iwl7260-firmware-25.30.13.0-99.fc30.noarch 
testing the firmware on multiple kernels  
=============================================
WORKS ON 
==> kernel-5.0.9-301.fc30.x86_64 
=============================================
DOES NOT WORK ON 
==> kernel-5.1.17-300.fc30.x86_64
==> kernel-5.1.19-300.fc30.x86_64
=============================================

> iwl7260-firmware-25.30.13.0-94.fc30.noarch 
=============================================
WORKS ON
==> kernel-5.0.9-301.fc30.x86_64 
==> kernel-5.1.17-300.fc30.x86_64
==> kernel-5.1.19-300.fc30.x86_64
=============================================

downgraded iwl7260-firmware to get wifi working on kernel-5.1.19-*

Comment 22 Samuel Monderer 2019-07-30 13:14:02 UTC
I have the same problem on my dell vostro 5841 laptop

stopped working 5.1.17-300.fc30.x86_64
and is still not working with 5.1.20-300.fc30.x86_64

Any idea when a solution is expected

Is there a simple workaround available

Comment 23 SP 2019-07-30 21:59:03 UTC
Created attachment 1594834 [details]
dmesg for build iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm

dmesg | grep 1wlwifi after installing scratch build iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm

Comment 24 SP 2019-07-30 22:02:21 UTC
(In reply to Peter Robinson from comment #11)
> (In reply to SP from comment #9)
> > Downgrading to iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm served as a
> > temporary fix
> > The output from lspci is Intel Corporation Cannon Point-LP CNVi
> > [Wireless-AC] (rev 30)
> 
> Can you confirm it's also broken with the scratch build referenced in
> comment 4

I installed the scratch build iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm  
It did not work.  I have attached the output from dmesg | grep iwlwifi
Had to downgrade again to iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm  to bring the wifi connection up

Comment 25 Baba 2019-07-31 11:29:44 UTC
This bug is fixed upstream by this commit : https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=dff98c6c57383fe343407bcb7b6e775e0b87274f

Hope this will be fixed soon.

Comment 26 Ankur Sinha (FranciscoD) 2019-07-31 11:34:47 UTC
(In reply to barazok.blackrocks from comment #25)
> This bug is fixed upstream by this commit :
> https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/
> commit/?id=dff98c6c57383fe343407bcb7b6e775e0b87274f
> 
> Hope this will be fixed soon.

All the changes in that commit are nvidia related. Are you sure that's the right commit, or am I reading this wrong?

Comment 27 Baba 2019-07-31 11:39:45 UTC
Sorry for the confusion, we already had this issue on Archlinux, and this commit https://github.com/skeggsb/linux-firmware/commit/bf13a71b18af229b4c900b321ef1f8443028ded8 fixed this bug.

Comment 28 Ankur Sinha (FranciscoD) 2019-07-31 11:50:35 UTC
I thought it'd be this one: https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=f9b0071de99f29159718d3c67030256799901a2b

There's also some reference of it being fixed in kernel 5.3 in the ubuntu bug, so I'm not really sure tbh.

Anyway, we'll wait for the updates to land and then test them out.

Comment 29 Peter Robinson 2019-07-31 11:54:22 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #28)
> I thought it'd be this one:
> https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/
> commit/?id=f9b0071de99f29159718d3c67030256799901a2b
> 
> There's also some reference of it being fixed in kernel 5.3 in the ubuntu
> bug, so I'm not really sure tbh.
> 
> Anyway, we'll wait for the updates to land and then test them out.

That is the contents of the 99.1 scratch build above, it didn't fix the problem for those that tested it an it didn't fix it for those that tested it upstream either.

Comment 30 Peter Robinson 2019-07-31 11:56:40 UTC
(In reply to barazok.blackrocks from comment #27)
> Sorry for the confusion, we already had this issue on Archlinux, and this
> commit
> https://github.com/skeggsb/linux-firmware/commit/
> bf13a71b18af229b4c900b321ef1f8443028ded8 fixed this bug.

That commit is in the latest tagged version of linux-firmware ((tag: 20190717) which is what the -99 build is based upon so that doesn't fix it either.

Comment 31 Baba 2019-07-31 12:10:40 UTC
I'm just saying that I had the same issue on Arch and the linux-package version 20190717.bf13a71-1 fixed it.
Here is the bug report : https://bugs.archlinux.org/task/63117
The id bf13a71 refers to the following commit https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=bf13a71b18af229b4c900b321ef1f8443028ded8
I'm sorry, i'm just trying to help...

Comment 32 Baba 2019-07-31 12:37:48 UTC
I've seen that the kernel in use in fedora 30 is the 5.1.20, so it's surely the kernel 5.2.2 who fix this issue.

Comment 33 Peter Robinson 2019-07-31 12:43:43 UTC
> I'm sorry, i'm just trying to help...

I appreciate it, my comment was primarily to document that the fixes you mention were already tested, there could be a number of other things such as kernel that come into play as well.

Comment 34 Peter Robinson 2019-07-31 12:45:04 UTC
(In reply to barazok.blackrocks from comment #32)
> I've seen that the kernel in use in fedora 30 is the 5.1.20, so it's surely
> the kernel 5.2.2 who fix this issue.

There is 5.2.4 available in updates-testing if someone could confirm that the firmware scratch build in comment 4 plus that fixes it?

https://bodhi.fedoraproject.org/updates/FEDORA-2019-f90b32b2d4

Comment 35 Baba 2019-07-31 12:50:40 UTC
I will try after work if nobody had the time to try before

Comment 36 mr 2019-07-31 18:34:39 UTC
Below my test results with kernel 5.2.4:

WORKING CONFIGURATIONS
TEST #1 - WiFi works
$ uname -s -r -v -m
Linux 5.1.20-300.fc30.x86_64 #1 SMP Fri Jul 26 15:03:11 UTC 2019 x86_64
$ rpm -q iwl7260-firmware
iwl7260-firmware-25.30.13.0-97.fc30.noarch

TEST #2 - WiFi works
$ uname -s -r -v -m
Linux 5.2.4-200.fc30.x86_64 #1 SMP Mon Jul 29 14:26:38 UTC 2019 x86_64
$ rpm -q iwl7260-firmware
iwl7260-firmware-25.30.13.0-97.fc30.noarch


FAILED CONFIGURATION
TEST #3 - WiFi DOES NOT WORK

$ sudo dnf upgrade
Last metadata expiration check: 0:11:44 ago on 2019-07-31T19:49:19 CEST.
Dependencies resolved.
====================================================================================================
 Package                    Architecture     Version                        Repository         Size
====================================================================================================
Upgrading:
 iwl7260-firmware           noarch           1:25.30.13.0-99.fc30           updates            10 M

Transaction Summary
====================================================================================================
Upgrade  1 Package

Total download size: 10 M
Is this ok [y/N]: y

ownloading Packages:
iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm                      8.2 MB/s |  10 MB     00:01    
----------------------------------------------------------------------------------------------------
Total                                                               6.7 MB/s |  10 MB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                            1/1 
  Upgrading        : iwl7260-firmware-1:25.30.13.0-99.fc30.noarch                               1/2 
  Cleanup          : iwl7260-firmware-1:25.30.13.0-97.fc30.noarch                               2/2 
  Running scriptlet: iwl7260-firmware-1:25.30.13.0-97.fc30.noarch                               2/2 
  Verifying        : iwl7260-firmware-1:25.30.13.0-99.fc30.noarch                               1/2 
  Verifying        : iwl7260-firmware-1:25.30.13.0-97.fc30.noarch                               2/2 

Upgraded:
  iwl7260-firmware-1:25.30.13.0-99.fc30.noarch                                                      

Complete!

$ sudo rmmod iwlmvm iwlwifi
$ sudo modprobe iwlwifi

DMESG SEGMENT ---
[  642.226417] CPU: 0 PID: 1658 Comm: NetworkManager Tainted: G        W         5.2.4-200.fc30.x86_64 #1
[  642.226417] Hardware name: ASUSTeK COMPUTER INC. ZenBook UX433FN_UX433FN/UX433FN, BIOS UX433FN.306 04/24/2019
[  642.226418] Call Trace:
[  642.226424]  dump_stack+0x5c/0x80
[  642.226433]  iwl_trans_pcie_send_hcmd+0x506/0x520 [iwlwifi]
[  642.226436]  ? finish_wait+0x80/0x80
[  642.226440]  iwl_trans_send_cmd+0x59/0xb0 [iwlwifi]
[  642.226448]  iwl_mvm_send_cmd+0x2e/0x80 [iwlmvm]
[  642.226453]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[  642.226456]  iwl_mvm_up+0x9aa/0xa30 [iwlmvm]
[  642.226460]  __iwl_mvm_mac_start+0x183/0x290 [iwlmvm]
[  642.226464]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[  642.226466]  ? fib6_del+0x2a0/0x2a0
[  642.226484]  drv_start+0x43/0xf0 [mac80211]
[  642.226492]  ieee80211_do_open+0x37b/0x8b0 [mac80211]
[  642.226501]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[  642.226504]  __dev_open+0xcf/0x160
[  642.226505]  __dev_change_flags+0x1a7/0x200
[  642.226506]  dev_change_flags+0x21/0x60
[  642.226507]  do_setlink+0x68e/0xde0
[  642.226510]  ? __nla_validate_parse+0x51/0x840
[  642.226511]  __rtnl_newlink+0x553/0x8c0
[  642.226513]  ? __nla_reserve+0x38/0x50
[  642.226515]  ? security_sock_rcv_skb+0x34/0x50
[  642.226516]  ? sk_filter_trim_cap+0x46/0x200
[  642.226518]  ? netlink_attachskb+0x1b8/0x1d0
[  642.226519]  ? skb_queue_tail+0x1b/0x50
[  642.226520]  ? __netlink_sendskb+0x3b/0x50
[  642.226522]  ? sk_filter_trim_cap+0x46/0x200
[  642.226524]  ? _cond_resched+0x15/0x30
[  642.226525]  ? kmem_cache_alloc_trace+0x154/0x1c0
[  642.226526]  rtnl_newlink+0x44/0x70
[  642.226528]  rtnetlink_rcv_msg+0x2b0/0x360
[  642.226529]  ? rtnl_calcit.isra.0+0x110/0x110
[  642.226530]  netlink_rcv_skb+0x49/0x110
[  642.226532]  netlink_unicast+0x171/0x200
[  642.226533]  netlink_sendmsg+0x202/0x3d0
[  642.226535]  sock_sendmsg+0x4f/0x60
[  642.226536]  ___sys_sendmsg+0x2ae/0x320
[  642.226538]  ? __do_proc_dointvec+0x20c/0x400
[  642.226538]  ? __rtnl_unlock+0x24/0x40
[  642.226539]  ? netdev_run_todo+0x5f/0x280
[  642.226542]  ? addrconf_sysctl_forward+0x110/0x250
[  642.226543]  ? lockref_put_or_lock+0x4b/0x80
[  642.226545]  ? proc_sys_revalidate+0x30/0x30
[  642.226546]  __sys_sendmsg+0x59/0xa0
[  642.226548]  do_syscall_64+0x5f/0x1a0
[  642.226549]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  642.226551] RIP: 0033:0x7fb34081eb7d
[  642.226552] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[  642.226552] RSP: 002b:00007ffcc0c40740 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[  642.226553] RAX: ffffffffffffffda RBX: 000055d55ad6bb80 RCX: 00007fb34081eb7d
[  642.226554] RDX: 0000000000000000 RSI: 00007ffcc0c40790 RDI: 000000000000000c
[  642.226554] RBP: 00007ffcc0c40790 R08: 0000000000000000 R09: 0000000000000000
[  642.226555] R10: 0000000000000000 R11: 0000000000000293 R12: 000055d55ad6bb80
[  642.226555] R13: 00007ffcc0c40948 R14: 00007ffcc0c4093c R15: 0000000000000000
[  642.226557] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
[  642.247139] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[  642.364352] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[  642.439969] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
[  642.655227] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
[  642.655376] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[  642.655382] iwlwifi 0000:00:14.3: Status: 0x00000090, count: 6
[  642.655385] iwlwifi 0000:00:14.3: Loaded firmware version: 46.a41adfe7.0
[  642.655390] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[  642.655394] iwlwifi 0000:00:14.3: 0x00A022F0 | trm_hw_status0
[  642.655396] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
[  642.655400] iwlwifi 0000:00:14.3: 0x004880AA | branchlink2
[  642.655403] iwlwifi 0000:00:14.3: 0x0047933A | interruptlink1
[  642.655407] iwlwifi 0000:00:14.3: 0x000306EA | interruptlink2
[  642.655410] iwlwifi 0000:00:14.3: 0x0001A7DA | data1
[  642.655414] iwlwifi 0000:00:14.3: 0x00001000 | data2
[  642.655417] iwlwifi 0000:00:14.3: 0xE0000008 | data3
[  642.655421] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
[  642.655424] iwlwifi 0000:00:14.3: 0x0003D3CE | tsf low
[  642.655427] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
[  642.655430] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
[  642.655434] iwlwifi 0000:00:14.3: 0x0003D3CE | time gp2
[  642.655437] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
[  642.655440] iwlwifi 0000:00:14.3: 0x0000002E | uCode version major
[  642.655449] iwlwifi 0000:00:14.3: 0xA41ADFE7 | uCode version minor
[  642.655452] iwlwifi 0000:00:14.3: 0x00000312 | hw version
[  642.655455] iwlwifi 0000:00:14.3: 0x18C89008 | board version
[  642.655458] iwlwifi 0000:00:14.3: 0x00220405 | hcmd
[  642.655461] iwlwifi 0000:00:14.3: 0x00022000 | isr0
[  642.655464] iwlwifi 0000:00:14.3: 0x00000000 | isr1
[  642.655468] iwlwifi 0000:00:14.3: 0x20001802 | isr2
[  642.655471] iwlwifi 0000:00:14.3: 0x404000C0 | isr3
[  642.655474] iwlwifi 0000:00:14.3: 0x00000002 | isr4
[  642.655477] iwlwifi 0000:00:14.3: 0x00220405 | last cmd Id
[  642.655480] iwlwifi 0000:00:14.3: 0x0001A7DA | wait_event
[  642.655483] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
[  642.655486] iwlwifi 0000:00:14.3: 0x00000020 | l2p_duration
[  642.655489] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
[  642.655492] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
[  642.655495] iwlwifi 0000:00:14.3: 0x0000000D | lmpm_pmg_sel
[  642.655499] iwlwifi 0000:00:14.3: 0x19062027 | timestamp
[  642.655501] iwlwifi 0000:00:14.3: 0x00001840 | flow_handler
[  642.655558] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[  642.655563] iwlwifi 0000:00:14.3: Status: 0x00000090, count: 7
[  642.655566] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
[  642.655569] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
[  642.655573] iwlwifi 0000:00:14.3: 0xC008884A | umac branchlink2
[  642.655576] iwlwifi 0000:00:14.3: 0xC0084C54 | umac interruptlink1
[  642.655579] iwlwifi 0000:00:14.3: 0xC0080708 | umac interruptlink2
[  642.655582] iwlwifi 0000:00:14.3: 0x00000400 | umac data1
[  642.655586] iwlwifi 0000:00:14.3: 0xC0080708 | umac data2
[  642.655589] iwlwifi 0000:00:14.3: 0xDEADBEEF | umac data3
[  642.655593] iwlwifi 0000:00:14.3: 0x0000002E | umac major
[  642.655596] iwlwifi 0000:00:14.3: 0xA41ADFE7 | umac minor
[  642.655600] iwlwifi 0000:00:14.3: 0x0003D3B6 | frame pointer
[  642.655604] iwlwifi 0000:00:14.3: 0xC0886C44 | stack pointer
[  642.655608] iwlwifi 0000:00:14.3: 0x00220405 | last host cmd
[  642.655612] iwlwifi 0000:00:14.3: 0x00004028 | isr status reg
[  642.655640] iwlwifi 0000:00:14.3: Fseq Registers:
[  642.655653] iwlwifi 0000:00:14.3: 0xCF8FDDFE | FSEQ_ERROR_CODE
[  642.655666] iwlwifi 0000:00:14.3: 0x00000000 | FSEQ_TOP_INIT_VERSION
[  642.655678] iwlwifi 0000:00:14.3: 0x87CEE3E4 | FSEQ_CNVIO_INIT_VERSION
[  642.655690] iwlwifi 0000:00:14.3: 0x0000A384 | FSEQ_OTP_VERSION
[  642.655704] iwlwifi 0000:00:14.3: 0xE50BCFE9 | FSEQ_TOP_CONTENT_VERSION
[  642.655716] iwlwifi 0000:00:14.3: 0x00C82492 | FSEQ_ALIVE_TOKEN
[  642.655729] iwlwifi 0000:00:14.3: 0xFFFCBB93 | FSEQ_CNVI_ID
[  642.655742] iwlwifi 0000:00:14.3: 0x6E595108 | FSEQ_CNVR_ID
[  642.655755] iwlwifi 0000:00:14.3: 0x01000100 | CNVI_AUX_MISC_CHIP
[  642.655769] iwlwifi 0000:00:14.3: 0x01300202 | CNVR_AUX_MISC_CHIP
[  642.655785] iwlwifi 0000:00:14.3: 0x0000485B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[  642.655830] iwlwifi 0000:00:14.3: 0xA5A5A5A2 | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[  642.655843] iwlwifi 0000:00:14.3: Firmware error during reconfiguration - reprobe!
[  642.655911] iwlwifi 0000:00:14.3: LED command failed: -5
[  642.655926] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
END DMESG SEGMENT ---


GO BACK TO WORKING CONFIGURATION

$ sudo dnf downgrade -y ./iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm
$ sudo rmmod iwlmvm iwlwifi
$ sudo modprobe iwlwifi

WIFI WORKS WELL

For my configuration the kernel 5.2.4 does not resolv the WiFi firmware bug.

Comment 37 Baba 2019-07-31 18:57:52 UTC
I've tried with the updates-testing and with the firmware scratch build :

$ uname -s -r -v -m
Linux 5.2.4-200.fc30.x86_64 #1 SMP Mon Jul 29 14:26:38 UTC 2019 x86_64

$ dnf list iwl*
iwl100-firmware.noarch                                   39.31.5.1-99.1.fc31                                   iwl1000-firmware.noarch                                  1:39.31.5.1-99.1.fc31                                 iwl105-firmware.noarch                                   18.168.6.1-99.1.fc31                                  
iwl135-firmware.noarch                                   18.168.6.1-99.1.fc31                                  
iwl2000-firmware.noarch                                  18.168.6.1-99.1.fc31                                  
iwl2030-firmware.noarch                                  18.168.6.1-99.1.fc31                                  
iwl3160-firmware.noarch                                  1:25.30.13.0-99.1.fc31                                
iwl3945-firmware.noarch                                  15.32.2.9-99.1.fc31                                   
iwl4965-firmware.noarch                                  228.61.2.24-99.1.fc31                                 
iwl5000-firmware.noarch                                  8.83.5.1_1-99.1.fc31                                  
iwl5150-firmware.noarch                                  8.24.2.2-99.1.fc31                                    
iwl6000-firmware.noarch                                  9.221.4.1-99.1.fc31                                   
iwl6000g2a-firmware.noarch                               18.168.6.1-99.1.fc31                                  
iwl6000g2b-firmware.noarch                               18.168.6.1-99.1.fc31                                  
iwl6050-firmware.noarch                                  41.28.5.1-99.1.fc31                                   
iwl7260-firmware.noarch                                  1:25.30.13.0-99.1.fc31                                

The issue is not fixed.

Comment 38 SP 2019-08-01 03:05:28 UTC
Can y'all just include your output from dmesg etc as an attachment (see top of page) rather than paste it in the message box?  I am getting carpal syndrome in my index finger scrolling through the text.

Comment 39 SP 2019-08-01 03:18:45 UTC
So would it be correct to conclude that whatever was introduced in the recent kernels has caused a conflict with the iwlwifi drivers?  As per @grey_wolf@naver.com tests (comment 21)?

Comment 40 Valentin Bajrami 2019-08-01 13:57:40 UTC
@SP I agree with you here. We've tested the latest iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm driver with kernel 5.2.4 which doesn't work. The following works as posted earlier in this BZ

iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm WORKS with kernel 5.2.4
iwl7260-firmware-25.30.13.0-94.fc30.noarch.rpm WORKS with kernel 5.2.4
iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm DOES NOT work with kernel 5.2.4

Conclusion is: iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm is probably the problem here.

Comment 41 Peter Robinson 2019-08-01 14:30:29 UTC
So a couple more notes just for documenting.

The following patch was pulled into 5.2.4 and has had no improvement on this issue:

"iwlwifi: mvm: disable TX-AMSDU on older NICs" https://patchwork.kernel.org/patch/11029027/

I'm also seeing the issue on an 8000 series device

Comment 42 Peter Robinson 2019-08-01 14:31:17 UTC
(In reply to Valentin Bajrami from comment #40)
> @SP I agree with you here. We've tested the latest
> iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm driver with kernel 5.2.4
> which doesn't work. The following works as posted earlier in this BZ
> 
> iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm WORKS with kernel 5.2.4
> iwl7260-firmware-25.30.13.0-94.fc30.noarch.rpm WORKS with kernel 5.2.4
> iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm DOES NOT work with kernel
> 5.2.4
> 
> Conclusion is: iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm is probably
> the problem here.

Does -98 work?

Comment 43 Valentin Bajrami 2019-08-01 16:11:51 UTC
@Peter If you can provide a link to the rpm I'd gladly install and test it.

Comment 44 SP 2019-08-01 16:21:18 UTC
(In reply to Peter Robinson from comment #42)
> (In reply to Valentin Bajrami from comment #40)
> > @SP I agree with you here. We've tested the latest
> > iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm driver with kernel 5.2.4
> > which doesn't work. The following works as posted earlier in this BZ
> > 
> > iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm WORKS with kernel 5.2.4
> > iwl7260-firmware-25.30.13.0-94.fc30.noarch.rpm WORKS with kernel 5.2.4
> > iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm DOES NOT work with kernel
> > 5.2.4
> > 
> > Conclusion is: iwl7260-firmware-25.30.13.0-99.fc30.noarch.rpm is probably
> > the problem here.
> 
> Does -98 work?


But according to @@grey_wolf@naver.com (comment 21) it works on an earlier kernel:
> iwl7260-firmware-25.30.13.0-99.fc30.noarch 
testing the firmware on multiple kernels  
=============================================
WORKS ON 
==> kernel-5.0.9-301.fc30.x86_64

Comment 45 Ian Puleston 2019-08-01 21:16:32 UTC
I got hit by this yesterday on my Dell precision 5530 laptop running F30. I did a DNF update, rebooted, and no WiFi any more. I previously had iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm which got updated to -99. I couldn't downgrade back to -97 which is no longer available in the repos (and I couldn't find the -97 RPM anywhere) but downgrade to -94 from the fedora repo worked to fixed it.

I was lucky because I have a wired network adapter dongle, but for anyone who has only WiFi (which is the way most modern laptops come nowadays) this would be really serious. You break their Wifi and they have no way to download a fix, or even to browse for info or solutions. So I would suggest that this be treated as a top priority bug, and if you can't come up with a fix immediately then maybe you should get a new version out straight away with the 97 -> 99 changes reverted.

Comment 46 Ankur Sinha (FranciscoD) 2019-08-01 21:47:54 UTC
(In reply to Ian Puleston from comment #45)
> 
> I was lucky because I have a wired network adapter dongle, but for anyone
> who has only WiFi (which is the way most modern laptops come nowadays) this
> would be really serious. You break their Wifi and they have no way to
> download a fix, or even to browse for info or solutions. So I would suggest
> that this be treated as a top priority bug, and if you can't come up with a
> fix immediately then maybe you should get a new version out straight away
> with the 97 -> 99 changes reverted.

It is being treated as a high priority bug as you can see from various responses and tests. The firmware comes directly from Intel---not from a third party. They are also aware of the issue, so a fix should hopefully be out soon. 

The package went through the QA process and only made it to users after testing where it received the required positive feedback. So if more of us had tested it out in the first place, it would've been caught much earlier. Even I missed out on testing this particular package in time :/

https://bodhi.fedoraproject.org/updates/FEDORA-2019-693023413e

So, for the future, please consider helping us test packages to reduce the chances of bugs slipping through:

https://ask.fedoraproject.org/t/how-can-i-test-updates-and-provide-karma/1360
https://fedoraproject.org/wiki/QA:Updates_Testing


Peter, would it be too much trouble to send out an update with the reverted version in the meantime? Looks like this is hitting quite a few users. :/

Comment 47 SP 2019-08-01 22:25:19 UTC
Ian, you can download from here: https://koji.fedoraproject.org/koji/buildinfo?buildID=1289971

You will likely need iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm


First do 
sudo rmmod iwlmvm iwlwifi
Then: 
sudo rpm -ivh iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm
Then
sudo modprobe iwlwifi

Comment 48 Lucas AF 2019-08-01 23:45:19 UTC
Just to complement. I had the same problem in the last update, resolving only with the downgrade of the iwl7260-firmware package.

Comment 50 Ankur Sinha (FranciscoD) 2019-08-02 07:10:02 UTC
(In reply to barazok.blackrocks from comment #49)
> It appears that cherry-picking
> https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/wireless-drivers-next.
> git/commit/?h=wireless-drivers-next-for-davem-2019-07-
> 06&id=0c3d7282233c7b02c74400b49981d6fff1d683a8 onto Linux kernel might solve
> the issue.

Are you sure? The git commit summary is "iwlwifi: Add support for SAR South Korea limitation". How is that linked to this general firmware issue? Do you have a references that suggests so (a mailing list post, for example)?

Comment 51 Baba 2019-08-02 07:16:13 UTC
Well, It looks strange for me too but according to the archlinux bug report https://bugs.archlinux.org/task/63117, Applying this commit to the kernel on a broken configuration of kernel and firmware solved the issue for concerned user.

Comment 52 Peter Robinson 2019-08-02 07:29:59 UTC
> Peter, would it be too much trouble to send out an update with the reverted
> version in the meantime? Looks like this is hitting quite a few users. :/

It's painful and I'm trying to avoid it, because I would have to roll back explicit binary blobs in the whole linux-firmware stack.

Comment 53 Ankur Sinha (FranciscoD) 2019-08-02 07:59:59 UTC
(In reply to barazok.blackrocks from comment #51)
> Well, It looks strange for me too but according to the archlinux bug report
> https://bugs.archlinux.org/task/63117, Applying this commit to the kernel on
> a broken configuration of kernel and firmware solved the issue for concerned
> user.

I've e-mailed the QA team to see if anyone has a machine with rawhide where they can test the 5.2 kernel with the latest firmware to confirm if it works. 

If anyone has a test machine with this hardware lying around, please consider testing it on rawhide where the 5.2 kernel is now available:
https://fedoraproject.org/wiki/Releases/Rawhide?rd=Rawhide

Please e-mail the QA mailing list at test@lists.fedoraproject.org for any discussions/issues with rawhide, though.


(In reply to Peter Robinson from comment #52)
> > Peter, would it be too much trouble to send out an update with the reverted
> > version in the meantime? Looks like this is hitting quite a few users. :/
> 
> It's painful and I'm trying to avoid it, because I would have to roll back
> explicit binary blobs in the whole linux-firmware stack.

Yes, I understand. If the 5.2 kernel works, maybe we can convince the kernel team to backport the required bits to F30.

Comment 54 Peter Robinson 2019-08-02 11:56:54 UTC
> If anyone has a test machine with this hardware lying around, please
> consider testing it on rawhide where the 5.2 kernel is now available:
> https://fedoraproject.org/wiki/Releases/Rawhide?rd=Rawhide

So I've recreated this on a IoT test device with a 8000 series iwl card in it, with 5.2 and 5.3-rc2

> (In reply to Peter Robinson from comment #52)
> > > Peter, would it be too much trouble to send out an update with the reverted
> > > version in the meantime? Looks like this is hitting quite a few users. :/
> > 
> > It's painful and I'm trying to avoid it, because I would have to roll back
> > explicit binary blobs in the whole linux-firmware stack.
> 
> Yes, I understand. If the 5.2 kernel works, maybe we can convince the kernel
> team to backport the required bits to F30.

I'm not sure it does, if there's kernel patches to pull in I'm happy to do that but ATM I've not seen one that works.

Comment 55 Peter Robinson 2019-08-06 09:56:26 UTC
So an update from Intel. It seems it's a co-existence issue with the BT firmware and the latest update (scratch build below) should fix it BUT it needs a cold boot for it to work. Can people please test that theory and once I have confirmation I'll push a real build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=36561959

Comment 56 Peter Robinson 2019-08-06 09:56:45 UTC
(In reply to Peter Robinson from comment #55)
> So an update from Intel. It seems it's a co-existence issue with the BT
> firmware and the latest update (scratch build below) should fix it BUT it
> needs a cold boot for it to work. Can people please test that theory and
> once I have confirmation I'll push a real build:
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=36561959

For reference: https://www.spinics.net/lists/linux-wireless/msg188639.html

Comment 57 Peter Robinson 2019-08-06 10:30:11 UTC
(In reply to Peter Robinson from comment #55)
> So an update from Intel. It seems it's a co-existence issue with the BT
> firmware and the latest update (scratch build below) should fix it BUT it
> needs a cold boot for it to work. Can people please test that theory and
> once I have confirmation I'll push a real build:
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=36561959

And note you'll need to update both linux-firmware and the iwl7260-firmware rpm as it requires the latest wifi and bluetooth firmware

Comment 58 Peter Robinson 2019-08-06 10:32:47 UTC
> > So an update from Intel. It seems it's a co-existence issue with the BT
> > firmware and the latest update (scratch build below) should fix it BUT it
> > needs a cold boot for it to work. Can people please test that theory and
> > once I have confirmation I'll push a real build:
> > 
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=36561959
> 
> And note you'll need to update both linux-firmware and the iwl7260-firmware
> rpm as it requires the latest wifi and bluetooth firmware

So just to be 100% clear for testing please do:

1) Update both linux-firmware and the iwl7260-firmware to the scratch build from above (99.1)
2) power off the device
3) power up the device
4) test wifi

Comment 59 mr 2019-08-06 13:03:57 UTC
Below my test result.

TEST FAILED

Test steps:
1) $ sudo dnf upgrade Downloads/linux-firmware-20190717-99.1.fc31.noarch.rpm
2) $ sudo dnf upgrade Downloads/iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm
3) $ sudo poweroff

Power on
WiFi doesn't work

Back to working configuration
4) $ sudo dnf downgrade iwl7260-firmware-25.30.13.0-97.fc30.noarch.rpm
5) $ sudo dnf downgrade linux-firmware-20190717-99.fc30.noarch.rpm
6) $ sudo reboot

regards,
Maurizio

Comment 60 Ankur Sinha (FranciscoD) 2019-08-06 21:36:26 UTC
No luck here either, unfortunately:

]$ ls *
iwl1000-firmware-39.31.5.1-99.1.fc31.noarch.rpm   iwl3945-firmware-15.32.2.9-99.1.fc31.noarch.rpm      iwl6050-firmware-41.28.5.1-99.1.fc31.noarch.rpm               linux-firmware-20190717-99.1.fc31.src.rpm
iwl100-firmware-39.31.5.1-99.1.fc31.noarch.rpm    iwl4965-firmware-228.61.2.24-99.1.fc31.noarch.rpm    iwl7260-firmware-25.30.13.0-99.1.fc31.noarch.rpm              linux-firmware-whence-20190717-99.1.fc31.noarch.rpm
iwl105-firmware-18.168.6.1-99.1.fc31.noarch.rpm   iwl5000-firmware-8.83.5.1_1-99.1.fc31.noarch.rpm     libertas-sd8686-firmware-20190717-99.1.fc31.noarch.rpm        liquidio-firmware-20190717-99.1.fc31.noarch.rpm
iwl135-firmware-18.168.6.1-99.1.fc31.noarch.rpm   iwl5150-firmware-8.24.2.2-99.1.fc31.noarch.rpm       libertas-sd8787-firmware-20190717-99.1.fc31.noarch.rpm        netronome-firmware-20190717-99.1.fc31.noarch.rpm
iwl2000-firmware-18.168.6.1-99.1.fc31.noarch.rpm  iwl6000-firmware-9.221.4.1-99.1.fc31.noarch.rpm      libertas-usb8388-firmware-20190717-99.1.fc31.noarch.rpm
iwl2030-firmware-18.168.6.1-99.1.fc31.noarch.rpm  iwl6000g2a-firmware-18.168.6.1-99.1.fc31.noarch.rpm  libertas-usb8388-olpc-firmware-20190717-99.1.fc31.noarch.rpm
iwl3160-firmware-25.30.13.0-99.1.fc31.noarch.rpm  iwl6000g2b-firmware-18.168.6.1-99.1.fc31.noarch.rpm  linux-firmware-20190717-99.1.fc31.noarch.rpm


- Updated with these
- powered off
- powered on using switch
- no wifi: got this in demsg

   31.650918] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error
[   31.671409] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   31.786768] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   31.860287] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[   32.077790] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[   32.078050] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[   32.078053] iwlwifi 0000:05:00.0: Status: 0x00000090, count: 6
[   32.078055] iwlwifi 0000:05:00.0: Loaded firmware version: 46.93e59cf4.0
[   32.078059] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[   32.078061] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[   32.078063] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[   32.078064] iwlwifi 0000:05:00.0: 0x00488472 | branchlink2
[   32.078066] iwlwifi 0000:05:00.0: 0x00479392 | interruptlink1
[   32.078068] iwlwifi 0000:05:00.0: 0x00030926 | interruptlink2
[   32.078070] iwlwifi 0000:05:00.0: 0x0001A836 | data1
[   32.078072] iwlwifi 0000:05:00.0: 0x00001000 | data2
[   32.078073] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[   32.078075] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[   32.078077] iwlwifi 0000:05:00.0: 0x0003D306 | tsf low
[   32.078079] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[   32.078081] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[   32.078083] iwlwifi 0000:05:00.0: 0x0003D307 | time gp2
[   32.078084] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[   32.078086] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[   32.078088] iwlwifi 0000:05:00.0: 0x93E59CF4 | uCode version minor
[   32.078090] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[   32.078092] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[   32.078094] iwlwifi 0000:05:00.0: 0x00230405 | hcmd
[   32.078095] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[   32.078097] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[   32.078099] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[   32.078101] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[   32.078102] iwlwifi 0000:05:00.0: 0x00000000 | isr4
[   32.078104] iwlwifi 0000:05:00.0: 0x00230405 | last cmd Id
[   32.078106] iwlwifi 0000:05:00.0: 0x0001A836 | wait_event
[   32.078108] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[   32.078110] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[   32.078111] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[   32.078113] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[   32.078115] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[   32.078117] iwlwifi 0000:05:00.0: 0x19071250 | timestamp
[   32.078118] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[   32.078271] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[   32.078273] iwlwifi 0000:05:00.0: Status: 0x00000090, count: 7
[   32.078276] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[   32.078277] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[   32.078279] iwlwifi 0000:05:00.0: 0xC008888E | umac branchlink2
[   32.078281] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[   32.078283] iwlwifi 0000:05:00.0: 0xC0080708 | umac interruptlink2
[   32.078285] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[   32.078286] iwlwifi 0000:05:00.0: 0xC0080708 | umac data2
[   32.078288] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[   32.078290] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[   32.078292] iwlwifi 0000:05:00.0: 0x93E59CF4 | umac minor
[   32.078293] iwlwifi 0000:05:00.0: 0x0003D2EF | frame pointer
[   32.078295] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[   32.078297] iwlwifi 0000:05:00.0: 0x00230405 | last host cmd
[   32.078299] iwlwifi 0000:05:00.0: 0x00004008 | isr status reg
[   32.078421] iwlwifi 0000:05:00.0: Fseq Registers:
[   32.078474] iwlwifi 0000:05:00.0: 0x88DB295E | FSEQ_ERROR_CODE
[   32.078526] iwlwifi 0000:05:00.0: 0x00000000 | FSEQ_TOP_INIT_VERSION
[   32.078578] iwlwifi 0000:05:00.0: 0xD41D711A | FSEQ_CNVIO_INIT_VERSION
[   32.078630] iwlwifi 0000:05:00.0: 0x0000A371 | FSEQ_OTP_VERSION
[   32.078682] iwlwifi 0000:05:00.0: 0xFBC7F4A5 | FSEQ_TOP_CONTENT_VERSION
[   32.078733] iwlwifi 0000:05:00.0: 0x836DE424 | FSEQ_ALIVE_TOKEN
[   32.078785] iwlwifi 0000:05:00.0: 0xB5567D00 | FSEQ_CNVI_ID
[   32.078836] iwlwifi 0000:05:00.0: 0x03011097 | FSEQ_CNVR_ID
[   32.078888] iwlwifi 0000:05:00.0: 0x01000200 | CNVI_AUX_MISC_CHIP
[   32.078943] iwlwifi 0000:05:00.0: 0x01300202 | CNVR_AUX_MISC_CHIP
[   32.078997] iwlwifi 0000:05:00.0: 0x0000485B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[   32.079101] iwlwifi 0000:05:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[   32.079182] iwlwifi 0000:05:00.0: Firmware error during reconfiguration - reprobe!
[   32.079214] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[   32.079220] CPU: 1 PID: 984 Comm: NetworkManager Not tainted 5.2.5-200.fc30.x86_64 #1
[   32.079222] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[   32.079224] Call Trace:
[   32.079228] iwlwifi 0000:05:00.0: LED command failed: -5
[   32.079240]  dump_stack+0x5c/0x80
[   32.079264]  iwl_trans_pcie_send_hcmd+0x506/0x520 [iwlwifi]
[   32.079274]  ? finish_wait+0x80/0x80
[   32.079299]  iwl_trans_send_cmd+0x59/0xb0 [iwlwifi]
[   32.079301] iwlwifi 0000:05:00.0: LED command failed: -5
[   32.079327]  iwl_mvm_send_cmd+0x2e/0x80 [iwlmvm]
[   32.079352]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[   32.079372]  iwl_mvm_up+0x9aa/0xa30 [iwlmvm]
[   32.079395]  __iwl_mvm_mac_start+0x183/0x290 [iwlmvm]
[   32.079416]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[   32.079424]  ? fib6_del+0x2a0/0x2a0
[   32.079463]  drv_start+0x43/0xf0 [mac80211]
[   32.079513]  ieee80211_do_open+0x37b/0x8b0 [mac80211]
[   32.079564]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[   32.079572]  __dev_open+0xcf/0x160
[   32.079578]  __dev_change_flags+0x1a7/0x200
[   32.079585]  dev_change_flags+0x21/0x60
[   32.079590]  do_setlink+0x68e/0xde0
[   32.079598]  ? __nla_validate_parse+0x51/0x840
[   32.079604]  __rtnl_newlink+0x553/0x8c0
[   32.079611]  ? __nla_reserve+0x38/0x50
[   32.079620]  ? security_sock_rcv_skb+0x34/0x50
[   32.079625]  ? sk_filter_trim_cap+0x46/0x200
[   32.079631]  ? update_load_avg+0x78/0x560
[   32.079634]  ? account_entity_enqueue+0xc5/0xf0
[   32.079646]  ? _cond_resched+0x15/0x30
[   32.079652]  ? kmem_cache_alloc_trace+0x154/0x1c0
[   32.079655]  rtnl_newlink+0x44/0x70
[   32.079661]  rtnetlink_rcv_msg+0x2b0/0x360
[   32.079667]  ? rtnl_calcit.isra.0+0x110/0x110
[   32.079672]  netlink_rcv_skb+0x49/0x110
[   32.079677]  netlink_unicast+0x171/0x200
[   32.079681]  netlink_sendmsg+0x202/0x3d0
[   32.079687]  sock_sendmsg+0x4f/0x60
[   32.079690]  ___sys_sendmsg+0x2ae/0x320
[   32.079694]  ? try_to_wake_up+0x53/0x5c0
[   32.079698]  ? wake_up_q+0x60/0x60
[   32.079703]  ? __wake_up_common+0x80/0x190
[   32.079707]  __sys_sendmsg+0x59/0xa0
[   32.079714]  do_syscall_64+0x5f/0x1a0
[   32.079718]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   32.079723] RIP: 0033:0x7f6f6fa04b7d
[   32.079727] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[   32.079729] RSP: 002b:00007ffffe6cf300 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[   32.079733] RAX: ffffffffffffffda RBX: 000056452de20b80 RCX: 00007f6f6fa04b7d
[   32.079734] RDX: 0000000000000000 RSI: 00007ffffe6cf350 RDI: 000000000000000c
[   32.079736] RBP: 00007ffffe6cf350 R08: 0000000000000000 R09: 0000000000000000
[   32.079737] R10: 0000000000000000 R11: 0000000000000293 R12: 000056452de20b80
[   32.079739] R13: 00007ffffe6cf508 R14: 00007ffffe6cf4fc R15: 0000000000000000
[   32.237695] iwlwifi 0000:05:00.0: Found debug destination: EXTERNAL_DRAM
[   32.237700] iwlwifi 0000:05:00.0: Found debug configuration: 0
[   32.238434] iwlwifi 0000:05:00.0: loaded firmware version 46.93e59cf4.0 op_mode iwlmvm
[   32.238501] iwlwifi 0000:05:00.0: Detected Intel(R) Wireless-AC 9260 160MHz, REV=0x324
[   32.248919] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   32.249612] iwlwifi 0000:05:00.0: Allocated 0x00400000 bytes for firmware monitor.
[   32.295754] iwlwifi 0000:05:00.0: base HW address: a4:c3:f0:82:e4:de
[   32.369276] ieee80211 phy23: Selected rate control algorithm 'iwl-mvm-rs'
[   32.369574] thermal thermal_zone8: failed to read out thermal zone (-61)
[   32.374790] iwlwifi 0000:05:00.0 wlp5s0: renamed from wlan0
[   32.394959] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   32.508941] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   32.582063] iwlwifi 0000:05:00.0: FW already configured (0) - re-configuring
[   32.794075] iwlwifi 0000:05:00.0: Microcode SW error detected. Restarting 0x0.
[   32.794209] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[   32.794210] iwlwifi 0000:05:00.0: Status: 0x00000080, count: 6
[   32.794210] iwlwifi 0000:05:00.0: Loaded firmware version: 46.93e59cf4.0
[   32.794211] iwlwifi 0000:05:00.0: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL    
[   32.794212] iwlwifi 0000:05:00.0: 0x00A022F0 | trm_hw_status0
[   32.794213] iwlwifi 0000:05:00.0: 0x00000000 | trm_hw_status1
[   32.794213] iwlwifi 0000:05:00.0: 0x00488472 | branchlink2
[   32.794214] iwlwifi 0000:05:00.0: 0x00479392 | interruptlink1
[   32.794214] iwlwifi 0000:05:00.0: 0x00488146 | interruptlink2
[   32.794215] iwlwifi 0000:05:00.0: 0x0001A836 | data1
[   32.794215] iwlwifi 0000:05:00.0: 0x00001000 | data2
[   32.794216] iwlwifi 0000:05:00.0: 0xE0000008 | data3
[   32.794216] iwlwifi 0000:05:00.0: 0x00000000 | beacon time
[   32.794217] iwlwifi 0000:05:00.0: 0x0003BD63 | tsf low
[   32.794217] iwlwifi 0000:05:00.0: 0x00000000 | tsf hi
[   32.794218] iwlwifi 0000:05:00.0: 0x00000000 | time gp1
[   32.794218] iwlwifi 0000:05:00.0: 0x0003BD64 | time gp2
[   32.794219] iwlwifi 0000:05:00.0: 0x00000001 | uCode revision type
[   32.794219] iwlwifi 0000:05:00.0: 0x0000002E | uCode version major
[   32.794220] iwlwifi 0000:05:00.0: 0x93E59CF4 | uCode version minor
[   32.794221] iwlwifi 0000:05:00.0: 0x00000321 | hw version
[   32.794221] iwlwifi 0000:05:00.0: 0x18C89004 | board version
[   32.794222] iwlwifi 0000:05:00.0: 0x00240405 | hcmd
[   32.794222] iwlwifi 0000:05:00.0: 0x00022000 | isr0
[   32.794223] iwlwifi 0000:05:00.0: 0x00000000 | isr1
[   32.794223] iwlwifi 0000:05:00.0: 0x20001802 | isr2
[   32.794224] iwlwifi 0000:05:00.0: 0x404000C0 | isr3
[   32.794224] iwlwifi 0000:05:00.0: 0x00000002 | isr4
[   32.794225] iwlwifi 0000:05:00.0: 0x00240405 | last cmd Id
[   32.794225] iwlwifi 0000:05:00.0: 0x0001A836 | wait_event
[   32.794226] iwlwifi 0000:05:00.0: 0x00000000 | l2p_control
[   32.794227] iwlwifi 0000:05:00.0: 0x00000020 | l2p_duration
[   32.794227] iwlwifi 0000:05:00.0: 0x00000000 | l2p_mhvalid
[   32.794228] iwlwifi 0000:05:00.0: 0x00000000 | l2p_addr_match
[   32.794228] iwlwifi 0000:05:00.0: 0x0000000D | lmpm_pmg_sel
[   32.794229] iwlwifi 0000:05:00.0: 0x19071250 | timestamp
[   32.794229] iwlwifi 0000:05:00.0: 0x00001840 | flow_handler
[   32.794379] iwlwifi 0000:05:00.0: Start IWL Error Log Dump:
[   32.794380] iwlwifi 0000:05:00.0: Status: 0x00000080, count: 7
[   32.794381] iwlwifi 0000:05:00.0: 0x20000034 | NMI_INTERRUPT_WDG
[   32.794381] iwlwifi 0000:05:00.0: 0x00000000 | umac branchlink1
[   32.794382] iwlwifi 0000:05:00.0: 0xC008888E | umac branchlink2
[   32.794382] iwlwifi 0000:05:00.0: 0xC0084C80 | umac interruptlink1
[   32.794383] iwlwifi 0000:05:00.0: 0xC0080704 | umac interruptlink2
[   32.794383] iwlwifi 0000:05:00.0: 0x00000400 | umac data1
[   32.794384] iwlwifi 0000:05:00.0: 0xC0080704 | umac data2
[   32.794384] iwlwifi 0000:05:00.0: 0xDEADBEEF | umac data3
[   32.794385] iwlwifi 0000:05:00.0: 0x0000002E | umac major
[   32.794385] iwlwifi 0000:05:00.0: 0x93E59CF4 | umac minor
[   32.794386] iwlwifi 0000:05:00.0: 0x0003BD4B | frame pointer
[   32.794386] iwlwifi 0000:05:00.0: 0xC0886C44 | stack pointer
[   32.794387] iwlwifi 0000:05:00.0: 0x00240405 | last host cmd
[   32.794387] iwlwifi 0000:05:00.0: 0x00004028 | isr status reg
[   32.794508] iwlwifi 0000:05:00.0: Fseq Registers:
[   32.794511] iwlwifi 0000:05:00.0: 0x88DB295E | FSEQ_ERROR_CODE
[   32.794514] iwlwifi 0000:05:00.0: 0x00000000 | FSEQ_TOP_INIT_VERSION
[   32.794517] iwlwifi 0000:05:00.0: 0xD41D711A | FSEQ_CNVIO_INIT_VERSION
[   32.794520] iwlwifi 0000:05:00.0: 0x0000A371 | FSEQ_OTP_VERSION
[   32.794523] iwlwifi 0000:05:00.0: 0xFBC7F4A5 | FSEQ_TOP_CONTENT_VERSION
[   32.794526] iwlwifi 0000:05:00.0: 0x836DE424 | FSEQ_ALIVE_TOKEN
[   32.794529] iwlwifi 0000:05:00.0: 0xB5567D00 | FSEQ_CNVI_ID
[   32.794532] iwlwifi 0000:05:00.0: 0x03011097 | FSEQ_CNVR_ID
[   32.794535] iwlwifi 0000:05:00.0: 0x01000200 | CNVI_AUX_MISC_CHIP
[   32.794540] iwlwifi 0000:05:00.0: 0x01300202 | CNVR_AUX_MISC_CHIP
[   32.794545] iwlwifi 0000:05:00.0: 0x0000485B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[   32.794600] iwlwifi 0000:05:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[   32.794611] iwlwifi 0000:05:00.0: Collecting data: trigger 2 fired.
[   32.794614] ieee80211 phy23: Hardware restart was requested
[   32.794664] iwlwifi 0000:05:00.0: iwlwifi transaction failed, dumping registers
[   32.794665] iwlwifi 0000:05:00.0: iwlwifi device config registers:
[   32.794761] iwlwifi 0000:05:00.0: 00000000: 25268086 00100406 02800029 00000000 a1200004 00000000 00000000 00000000
[   32.794762] iwlwifi 0000:05:00.0: 00000020: 00000000 00000000 00000000 00148086 00000000 000000c8 00000000 000001ff
[   32.794763] iwlwifi 0000:05:00.0: iwlwifi device memory mapped registers:
[   32.794838] iwlwifi 0000:05:00.0: 00000000: 18c89004 00000040 00000000 00000000 00000000 00000000 00027e1f 00000000
[   32.794839] iwlwifi 0000:05:00.0: 00000020: 00000000 0c040005 00000321 d55555d5 d55555d5 d55555d5 80008040 041f0042
[   32.794889] iwlwifi 0000:05:00.0: iwlwifi device AER capability structure:
[   32.794952] iwlwifi 0000:05:00.0: 00000000: 14c10001 00000000 00000000 00462031 00000000 00002000 00000000 00000000
[   32.794952] iwlwifi 0000:05:00.0: 00000020: 00000000 00000000 00000000
[   32.794954] iwlwifi 0000:05:00.0: iwlwifi parent port (0000:00:1d.2) config registers:
[   32.794970] iwlwifi 0000:00:1d.2: 00000000: 9db28086 00100407 060400f0 00810000 00000000 00000000 00050500 200000f0
[   32.794972] iwlwifi 0000:00:1d.2: 00000020: a120a120 0001fff1 00000000 00000000 00000000 00000040 00000000 000203ff
[   32.794973] iwlwifi 0000:05:00.0: iwlwifi root port (0000:00:1d.2) AER cap structure:
[   32.794985] iwlwifi 0000:00:1d.2: 00000000: 14010001 00000000 00010000 00060011 00000000 00002000 00000000 00000000
[   32.794986] iwlwifi 0000:00:1d.2: 00000020: 00000000 00000000 00000000 00000007 00000000 00000000
[   32.794988] iwlwifi 0000:05:00.0: FW error in SYNC CMD GEO_TX_POWER_LIMIT
[   32.794990] CPU: 4 PID: 984 Comm: NetworkManager Not tainted 5.2.5-200.fc30.x86_64 #1
[   32.794991] Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET27W (1.10 ) 01/22/2019
[   32.794992] Call Trace:
[   32.794999]  dump_stack+0x5c/0x80
[   32.795009]  iwl_trans_pcie_send_hcmd+0x506/0x520 [iwlwifi]
[   32.795013]  ? finish_wait+0x80/0x80
[   32.795020]  iwl_trans_send_cmd+0x59/0xb0 [iwlwifi]
[   32.795030]  iwl_mvm_send_cmd+0x2e/0x80 [iwlmvm]
[   32.795037]  iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
[   32.795041]  iwl_mvm_up+0x9aa/0xa30 [iwlmvm]
[   32.795047]  __iwl_mvm_mac_start+0x183/0x290 [iwlmvm]
[   32.795052]  iwl_mvm_mac_start+0x46/0x120 [iwlmvm]
[   32.795054]  ? fib6_del+0x2a0/0x2a0
[   32.795070]  drv_start+0x43/0xf0 [mac80211]
[   32.795085]  ieee80211_do_open+0x37b/0x8b0 [mac80211]
[   32.795098]  ? ieee80211_check_concurrent_iface+0x14f/0x1c0 [mac80211]
[   32.795101]  __dev_open+0xcf/0x160
[   32.795103]  __dev_change_flags+0x1a7/0x200
[   32.795105]  dev_change_flags+0x21/0x60
[   32.795107]  do_setlink+0x68e/0xde0
[   32.795109]  ? __nla_validate_parse+0x51/0x840
[   32.795111]  __rtnl_newlink+0x553/0x8c0
[   32.795113]  ? pskb_expand_head+0x73/0x2f0
[   32.795116]  ? security_sock_rcv_skb+0x34/0x50
[   32.795117]  ? sk_filter_trim_cap+0x46/0x200
[   32.795120]  ? netlink_attachskb+0x1b8/0x1d0
[   32.795122]  ? skb_queue_tail+0x1b/0x50
[   32.795123]  ? __netlink_sendskb+0x3b/0x50
[   32.795126]  ? sk_filter_trim_cap+0x46/0x200
[   32.795128]  ? _cond_resched+0x15/0x30
[   32.795130]  ? kmem_cache_alloc_trace+0x154/0x1c0
[   32.795131]  rtnl_newlink+0x44/0x70
[   32.795134]  rtnetlink_rcv_msg+0x2b0/0x360
[   32.795136]  ? rtnl_calcit.isra.0+0x110/0x110
[   32.795138]  netlink_rcv_skb+0x49/0x110
[   32.795139]  netlink_unicast+0x171/0x200
[   32.795142]  netlink_sendmsg+0x202/0x3d0
[   32.795144]  sock_sendmsg+0x4f/0x60
[   32.795145]  ___sys_sendmsg+0x2ae/0x320
[   32.795147]  ? __do_proc_dointvec+0x20c/0x400
[   32.795148]  ? __rtnl_unlock+0x24/0x40
[   32.795150]  ? netdev_run_todo+0x5f/0x280
[   32.795152]  ? addrconf_sysctl_forward+0x110/0x250
[   32.795154]  ? lockref_put_or_lock+0x4b/0x80
[   32.795156]  ? proc_sys_revalidate+0x30/0x30
[   32.795158]  __sys_sendmsg+0x59/0xa0
[   32.795160]  do_syscall_64+0x5f/0x1a0
[   32.795162]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[   32.795164] RIP: 0033:0x7f6f6fa04b7d
[   32.795166] Code: 28 89 54 24 1c 48 89 74 24 10 89 7c 24 08 e8 ca ec ff ff 8b 54 24 1c 48 8b 74 24 10 41 89 c0 8b 7c 24 08 b8 2e 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 2f 44 89 c7 48 89 44 24 08 e8 fe ec ff ff 48
[   32.795167] RSP: 002b:00007ffffe6cf540 EFLAGS: 00000293 ORIG_RAX: 000000000000002e
[   32.795169] RAX: ffffffffffffffda RBX: 000056452de20b80 RCX: 00007f6f6fa04b7d
[   32.795169] RDX: 0000000000000000 RSI: 00007ffffe6cf590 RDI: 000000000000000c
[   32.795170] RBP: 00007ffffe6cf590 R08: 0000000000000000 R09: 0000000000000000
[   32.795170] R10: 0000000000000000 R11: 0000000000000293 R12: 000056452de20b80
[   32.795171] R13: 00007ffffe6cf748 R14: 00007ffffe6cf73c R15: 0000000000000000
[   32.795174] iwlwifi 0000:05:00.0: Firmware not running - cannot dump error
[   32.815437] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM
[   32.930698] iwlwifi 0000:05:00.0: Applying debug destination EXTERNAL_DRAM



To get it working again, I only reinstalled iwl7260-firmware-25.30.13.0-94.fc30.noarch.rpm (didn't downgrade linux-firmware etc.):

$ rpm -qa \*firmware\*
iwl3160-firmware-25.30.13.0-99.1.fc31.noarch
iwl1000-firmware-39.31.5.1-99.1.fc31.noarch
iwl6000g2b-firmware-18.168.6.1-99.1.fc31.noarch
iwl3945-firmware-15.32.2.9-99.1.fc31.noarch
iwl2000-firmware-18.168.6.1-99.1.fc31.noarch
iwl100-firmware-39.31.5.1-99.1.fc31.noarch
linux-firmware-20190717-99.1.fc31.noarch
iwl6050-firmware-41.28.5.1-99.1.fc31.noarch
iwl6000-firmware-9.221.4.1-99.1.fc31.noarch
iwl4965-firmware-228.61.2.24-99.1.fc31.noarch
iwl2030-firmware-18.168.6.1-99.1.fc31.noarch
iwl105-firmware-18.168.6.1-99.1.fc31.noarch
iwl7260-firmware-25.30.13.0-94.fc30.noarch
linux-firmware-whence-20190717-99.1.fc31.noarch
atmel-firmware-1.3-20.fc30.noarch
iwl6000g2a-firmware-18.168.6.1-99.1.fc31.noarch
ipw2200-firmware-3.1-17.fc30.noarch
iwl5000-firmware-8.83.5.1_1-99.1.fc31.noarch
iwl135-firmware-18.168.6.1-99.1.fc31.noarch
ipw2100-firmware-1.3-24.fc30.noarch
libertas-usb8388-firmware-20190717-99.1.fc31.noarch
zd1211-firmware-1.5-4.fc30.noarch
iwl5150-firmware-8.24.2.2-99.1.fc31.noarch

Comment 61 Baba 2019-08-07 19:13:51 UTC
Wifi is still broken with the latest kernel upgrade 

# Broken configuration

linux-firmware version : iwl7260-firmware-1:25.30.13.0-99.fc30.noarch
kernel version : Linux linux-1.home 5.2.5-200.fc30.x86_64 #1 SMP Wed Jul 31 14:37:17 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

# Working configuration

iwl7260-firmware-1:25.30.13.0-94.fc30.noarch
kernel version : Linux linux-1.home 5.2.5-200.fc30.x86_64 #1 SMP Wed Jul 31 14:37:17 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Comment 62 Ian Puleston 2019-08-08 07:24:27 UTC
(In reply to Peter Robinson from comment #52)
> > Peter, would it be too much trouble to send out an update with the reverted
> > version in the meantime? Looks like this is hitting quite a few users. :/
> 
> It's painful and I'm trying to avoid it, because I would have to roll back
> explicit binary blobs in the whole linux-firmware stack.

Why? Those of us who've been hit by the issue simply go back to iwl7260-firmware-1:25.30.13.0-97.fc30.noarch to work around it, so why not stick that into the repos, call it iwl7260-firmware-1:25.30.13.0-100.fc30.noarch, and go with that until a proper fix can be made?

Comment 63 Didier 2019-08-11 13:12:09 UTC
* Summary :

Intel firmware a41adfe7 (iwlwifi-9000-pu-b0-jf-b0-46.ucode) fails ;
Intel firmware 95eb4e97 (iwlwifi-9000-pu-b0-jf-b0-43.ucode) loads OK.


* Inventory :

Dell Inc. Latitude 7200 2-in-1/0PCKGK, BIOS 1.3.3 06/10/2019
Intel Wireless-AC 9560

kernel-5.2.7-200.fc30.x86_64
iwl7260-firmware-25.30.13.0-99.fc30.noarch


* Workaround :

# rmmod iwlmvm ; rmmod iwlwifi
# mv /lib/firmware/iwlwifi-9000-pu-b0-jf-b0-46.ucode /lib/firmware/iwlwifi-9000-pu-b0-jf-b0-46.ucode.disabled
# modprobe iwlwifi


dmesg :

kernel: Intel(R) Wireless WiFi driver for Linux
kernel: Copyright(c) 2003- 2015 Intel Corporation
kernel: iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-9000-pu-b0-jf-b0-46.ucode failed with error -2
kernel: iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-9000-pu-b0-jf-b0-45.ucode failed with error -2
kernel: iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-9000-pu-b0-jf-b0-44.ucode failed with error -2
kernel: iwlwifi 0000:00:14.3: loaded firmware version 43.95eb4e97.0 op_mode iwlmvm
kernel: iwlwifi 0000:00:14.3: Detected Intel(R) Wireless-AC 9560 160MHz, REV=0x318

Comment 64 Ankur Sinha (FranciscoD) 2019-08-12 08:22:03 UTC
(In reply to Didier from comment #63)
> 
> * Workaround :
> 
> # rmmod iwlmvm ; rmmod iwlwifi
> # mv /lib/firmware/iwlwifi-9000-pu-b0-jf-b0-46.ucode
> /lib/firmware/iwlwifi-9000-pu-b0-jf-b0-46.ucode.disabled
> # modprobe iwlwifi
> 


Please DO NOT USE this workaround. Please downgrade the package using the package manager as mentioned in the first post:

sudo dnf downgrade -y iwl7260-firmware
sudo rmmod iwlmvm iwlwifi
sudo modprobe iwlwifi

Comment 65 Peter Robinson 2019-08-13 09:34:57 UTC
*** Bug 1740380 has been marked as a duplicate of this bug. ***

Comment 66 Peter Robinson 2019-08-18 09:16:30 UTC
*** Bug 1742901 has been marked as a duplicate of this bug. ***

Comment 67 Igor Raits 2019-08-18 09:19:30 UTC
@Peter, I'm running kernel-core-5.3.0-0.rc4.git3.2.fc32.x86_64 + linux-firmware-20190815-101.fc32, but the issue is still reproducible. Should I try some stable kernel instead?

Comment 68 Peter Robinson 2019-08-18 10:03:08 UTC
(In reply to Igor Gnatenko from comment #67)
> @Peter, I'm running kernel-core-5.3.0-0.rc4.git3.2.fc32.x86_64 +
> linux-firmware-20190815-101.fc32, but the issue is still reproducible.
> Should I try some stable kernel instead?

Try 5.2.9, I'll need to check the status of that patch in 5.3/master. Note you need to update both the iwl7260-firmware and linux-firmware and power off the device. (How they managed to get this so wrong I have no idea)

Comment 69 Igor Raits 2019-08-18 11:35:26 UTC
Thanks, I'm gonna test:

* linux-firmware-20190815-101.fc32.noarch
* iwl7260-firmware-25.30.13.0-101.fc32.noarch
* kernel-core-5.2.9-200.fc30.x86_64

Comment 70 Bryan Mason 2019-08-19 04:23:00 UTC
I have a Lenovo X1 Yoga (4th gen) with this problem.  My hardware is:
 
  $ lspci | grep Wireless
  00:14.3 Network controller: Intel Corporation Cannon Point-LP CNVi [Wireless-AC] (rev 11)
  $ lspci -n | grep 00:14\.3
  00:14.3 0280: 8086:9df0 (rev 11)

I was running the downgraded iwl7260-firmware package to work around the problem, but after installing:

  $ ls -1
  iwl7260-firmware-25.30.13.0-101.fc32.noarch.rpm
  kernel-5.2.9-200.fc30.x86_64.rpm
  kernel-core-5.2.9-200.fc30.x86_64.rpm
  kernel-modules-5.2.9-200.fc30.x86_64.rpm
  kernel-modules-extra-5.2.9-200.fc30.x86_64.rpm
  linux-firmware-20190815-101.fc32.noarch.rpm

The WiFi is working after reboot.

Thanks!!

Comment 71 Fedora Update System 2019-08-19 11:47:31 UTC
FEDORA-2019-2e80f01a93 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e80f01a93

Comment 72 Bryan Mason 2019-08-19 14:33:35 UTC
*** Bug 1737196 has been marked as a duplicate of this bug. ***

Comment 73 Fedora Update System 2019-08-20 00:42:10 UTC
linux-firmware-20190815-101.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e80f01a93

Comment 74 Fedora Update System 2019-08-20 01:37:17 UTC
linux-firmware-20190815-101.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-54815c6381

Comment 75 Fedora Update System 2019-08-21 01:04:31 UTC
linux-firmware-20190815-101.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 76 Baba 2019-08-21 19:36:53 UTC
I've upgraded my system on stable repository and wifi is working fine for me !

Comment 77 Ankit Sadana 2019-08-22 00:55:16 UTC
I can confirm, upgraded linux-firmware and iwl7260-firmware, followed by a cold boot and wifi (and bluetooth) seems to be working.

kernel version: 5.2.9-200
linux-firmware version: 20190815-101
iwl7260-firmware version: 25.30.13.0-101

Thank you Peter Robinson for pushing this through!

Comment 78 Jasper Siero 2019-08-22 13:21:32 UTC
My wifi is also working fine after updating to the latest packages.

Comment 79 Fedora Update System 2019-09-03 12:57:45 UTC
linux-firmware-20190815-101.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 80 Fedora Update System 2019-10-15 17:18:35 UTC
FEDORA-2019-038d78eaa5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-038d78eaa5

Comment 81 Fedora Update System 2019-10-17 21:38:20 UTC
kernel-5.3.6-300.fc31, kernel-headers-5.3.6-300.fc31, kernel-tools-5.3.6-300.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 82 Rubén Lledó 2019-11-05 19:11:21 UTC
The same issue happens with wired connection in kernels 5.3.7 and 5.3.8. I filled bug https://bugzilla.redhat.com/show_bug.cgi?id=1768129

Comment 83 Peter Robinson 2019-11-05 20:18:10 UTC
(In reply to Rubén Lledó from comment #82)
> The same issue happens with wired connection in kernels 5.3.7 and 5.3.8. I

It's completely unrelated, this is explicitly a wifi firmware issue

Comment 84 Magnus Glantz 2019-11-12 21:23:24 UTC
Hm, so, I hit this on Fedora 30, Lenovo T580 with Intel Corporation Wireless 8265 / 8275 (rev 78) running iwlwifi module.
I upgraded to Fedora 31 but the problem just seemed to got worse, til wifi stopped working, wifi interface going up/down constantly.

After removing /lib/firmware/iwlwifi-9000-pu-b0-jf-b0-46.ucode, doing a cold shutdown, booting up and then reinstalling iwl7260-firmware, the problem went away. Maybe not related, but, thought I write about, drove me mad.

Comment 85 Dobmec 2020-03-25 19:52:46 UTC
I'm hit with this bug again with Fedora 32, on a Dell Precision 5540, with both kernel 5.6.0-0.rc5 and 5.6.0-0.rc7. It was working perfectly fine on fedora 31 with kernel 5.5.*...

uname -r
5.6.0-0.rc7.git0.2.fc32.x86_64

lspci -k | grep -i wireless
3b:00.0 Network controller: Intel Corporation Wireless-AC 9260 (rev 29)

dmesg | grep iwlwifi
[   11.960982] iwlwifi 0000:3b:00.0: enabling device (0000 -> 0002)
[   11.971072] iwlwifi 0000:3b:00.0: Direct firmware load for (null)39.ucode failed with error -2
[   11.971084] iwlwifi 0000:3b:00.0: Direct firmware load for (null)38.ucode failed with error -2
[   11.971466] iwlwifi 0000:3b:00.0: Direct firmware load for (null)37.ucode failed with error -2
[   11.971490] iwlwifi 0000:3b:00.0: Direct firmware load for (null)36.ucode failed with error -2
[   11.971499] iwlwifi 0000:3b:00.0: Direct firmware load for (null)35.ucode failed with error -2
[   11.971510] iwlwifi 0000:3b:00.0: Direct firmware load for (null)34.ucode failed with error -2
[   11.971522] iwlwifi 0000:3b:00.0: Direct firmware load for (null)33.ucode failed with error -2
[   11.971530] iwlwifi 0000:3b:00.0: Direct firmware load for (null)32.ucode failed with error -2
[   11.971539] iwlwifi 0000:3b:00.0: Direct firmware load for (null)31.ucode failed with error -2
[   11.971547] iwlwifi 0000:3b:00.0: Direct firmware load for (null)30.ucode failed with error -2
[   11.971555] iwlwifi 0000:3b:00.0: Direct firmware load for (null)29.ucode failed with error -2
[   11.971564] iwlwifi 0000:3b:00.0: Direct firmware load for (null)28.ucode failed with error -2
[   11.971572] iwlwifi 0000:3b:00.0: Direct firmware load for (null)27.ucode failed with error -2
[   11.971580] iwlwifi 0000:3b:00.0: Direct firmware load for (null)26.ucode failed with error -2
[   11.971588] iwlwifi 0000:3b:00.0: Direct firmware load for (null)25.ucode failed with error -2
[   11.971596] iwlwifi 0000:3b:00.0: Direct firmware load for (null)24.ucode failed with error -2
[   11.971605] iwlwifi 0000:3b:00.0: Direct firmware load for (null)23.ucode failed with error -2
[   11.971613] iwlwifi 0000:3b:00.0: Direct firmware load for (null)22.ucode failed with error -2
[   11.971621] iwlwifi 0000:3b:00.0: Direct firmware load for (null)21.ucode failed with error -2
[   11.971629] iwlwifi 0000:3b:00.0: Direct firmware load for (null)20.ucode failed with error -2
[   11.971638] iwlwifi 0000:3b:00.0: Direct firmware load for (null)19.ucode failed with error -2
[   11.971646] iwlwifi 0000:3b:00.0: Direct firmware load for (null)18.ucode failed with error -2
[   11.971654] iwlwifi 0000:3b:00.0: Direct firmware load for (null)17.ucode failed with error -2
[   11.971662] iwlwifi 0000:3b:00.0: Direct firmware load for (null)16.ucode failed with error -2
[   11.971672] iwlwifi 0000:3b:00.0: Direct firmware load for (null)15.ucode failed with error -2
[   11.971680] iwlwifi 0000:3b:00.0: Direct firmware load for (null)14.ucode failed with error -2
[   11.971688] iwlwifi 0000:3b:00.0: Direct firmware load for (null)13.ucode failed with error -2
[   11.971697] iwlwifi 0000:3b:00.0: Direct firmware load for (null)12.ucode failed with error -2
[   11.971706] iwlwifi 0000:3b:00.0: Direct firmware load for (null)11.ucode failed with error -2
[   11.971714] iwlwifi 0000:3b:00.0: Direct firmware load for (null)10.ucode failed with error -2
[   11.971724] iwlwifi 0000:3b:00.0: Direct firmware load for (null)9.ucode failed with error -2
[   11.971732] iwlwifi 0000:3b:00.0: Direct firmware load for (null)8.ucode failed with error -2
[   11.971741] iwlwifi 0000:3b:00.0: Direct firmware load for (null)7.ucode failed with error -2
[   11.971750] iwlwifi 0000:3b:00.0: Direct firmware load for (null)6.ucode failed with error -2
[   11.971758] iwlwifi 0000:3b:00.0: Direct firmware load for (null)5.ucode failed with error -2
[   11.971766] iwlwifi 0000:3b:00.0: Direct firmware load for (null)4.ucode failed with error -2
[   11.971775] iwlwifi 0000:3b:00.0: Direct firmware load for (null)3.ucode failed with error -2
[   11.971783] iwlwifi 0000:3b:00.0: Direct firmware load for (null)2.ucode failed with error -2
[   11.971792] iwlwifi 0000:3b:00.0: Direct firmware load for (null)1.ucode failed with error -2
[   11.971800] iwlwifi 0000:3b:00.0: Direct firmware load for (null)0.ucode failed with error -2
[   11.971801] iwlwifi 0000:3b:00.0: no suitable firmware found!
[   11.971801] iwlwifi 0000:3b:00.0: minimum version required: (null)0
[   11.971802] iwlwifi 0000:3b:00.0: maximum version supported: (null)39
[   11.971802] iwlwifi 0000:3b:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

Comment 86 Ankur Sinha (FranciscoD) 2020-03-25 23:21:38 UTC
Please open a new bug for your issue so it can be investigated further. This one was fixed. (I'm not seeing it here on an up to date F32 and your trace also looks different.)

Comment 87 Dobmec 2020-03-26 08:59:11 UTC
OK sorry for the mistake, I've open the new bug there 

https://bugzilla.redhat.com/show_bug.cgi?id=1817373


Note You need to log in before you can comment on or make changes to this bug.